scoreboard players set gisella boss.battle_tick -45
scoreboard players set gisella boss.storage1 0

#attack animations = boss storage 2
scoreboard players set gisella boss.storage2 0

scoreboard objectives add boss.storage.gisella dummy
scoreboard players set gisella boss.storage.gisella 2000
scoreboard objectives add boss.gisella.music dummy
scoreboard players set gisella ally.anim_tick 0

scoreboard objectives add boss.gisella.shield dummy
scoreboard players set gisella boss.gisella.shield 1

#hitbox damage scoreboards
scoreboard objectives add gisella.hitbox.current.health dummy
scoreboard players set @e[tag=gisella_hitbox,type=piglin] gisella.hitbox.current.health 100

scoreboard objectives add gisella.damage dummy
scoreboard players set @e[tag=gisella_hitbox,type=piglin] gisella.damage 100

##damage divisor, gisella has 1 
scoreboard objectives add gisella.damage.res dummy
scoreboard players set gisella gisella.damage.res 1

#hp
bossbar set minecraft:bosshp23 value 2000
bossbar set minecraft:bosshp23 max 2000
bossbar set bosshp23 players @a[distance=..60]

#shield for gisella carapace
bossbar set minecraft:bosshp24 value 0
bossbar set minecraft:bosshp24 max 80

#summon hitbox entity
summon minecraft:piglin ~ ~-10 ~ {Tags:["gisella_entity","boss","enemy","gisella","boss_hitbox"],CustomName:'[{"text":"Fearful Winter Queen Gisella"}]',Health:1000,NoAI:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999999,Amplifier:1,ShowParticles:0b},{Id:12,Duration:999999,Amplifier:1,ShowParticles:0b},{Id:11,Duration:999999,Amplifier:1,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:10f},{Name:"generic.armor_toughness",Base:5f},{Name:"generic.knockback_resistance",Base:0.5f},{Name:"generic.movement_speed",Base:0f},{Name:"generic.max_health",Base:1000f}]}

scoreboard players set @e[tag=gisella] generic.base.res 2
#get scores
scoreboard players set @e[type=piglin,tag=gisella] player.base.hp 2000

#set bossbar name
bossbar set minecraft:bosshp23 name ["",{"text":"Gisella's Carapace","bold":false,"color":"dark_red"},{"text":""}]

#initial invul
effect give @e[tag=gisella_entity,type=piglin] resistance 3 255 true

#
team join enemy @e[tag=gisella]
team modify enemy collisionRule pushOwnTeam

stopsound @a[distance=..50]

playsound minecraft:boss.winter.queen.theme record @a[distance=..60] ~ ~ ~ 0.7 1 0.7
scoreboard players set gisella boss.gisella.music 6360

execute as @e[tag=aj.gisella.root] at @s run function animated_java:gisella/animations/to_battle/play

tag @s add scened
tag @s add phase1
tag @s add entrance_next

#summon foul visage location (defined in-world)

#summon battle center
execute unless entity @e[tag=gisella_battle_center,distance=..30] run summon marker ~ ~ ~ {Tags:["gisella_battle_center","gisella_standing_place"]}