#model particles
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle dust 0.722 0.906 0.918 1 ~ ~2 ~ 1 1 1 0 1 normal
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle snowflake ~ ~2 ~ 0 0 0 0.3 3 normal
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle poof ~ ~2 ~ 0 0 0 0.3 3 normal
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle electric_spark ~ ~2 ~ 0 0 0 2 3 normal
execute as @e[tag=aj.gisella_moth.locator.left_hand,limit=1,sort=nearest] at @s run particle dust 0.722 0.906 0.918 1 ~ ~2 ~ 0.1 0.1 0.1 0.1 1 normal
execute as @e[tag=aj.gisella_moth.locator.left_hand,limit=1,sort=nearest] at @s run particle snowflake ~ ~2 ~ 0.1 0.1 0.1 0.01 1 normal
execute as @e[tag=aj.gisella_moth.locator.effect,limit=1,sort=nearest] at @s run particle dust 0.722 0.906 0.918 1 ~ ~2.5 ~ 0.1 0.1 0.1 0.1 1 normal
execute as @e[tag=aj.gisella_moth.locator.effect,limit=1,sort=nearest] at @s run particle snowflake ~ ~ ~ 0.1 0.1 0.1 0.01 1 normal

execute as @e[tag=aj.gisella_moth.root,tag=!dying,tag=blizzard-dance,limit=1,sort=nearest,tag=!aj.gisella_moth.animation.fury_of_the_north] at @s run function animated_java:gisella_moth/animations/fury_of_the_north/play

scoreboard players set gisella boss.storage1 120
scoreboard players set gisella boss.storage2 100

# give high res
effect give @e[tag=gisella_entity,limit=1,sort=nearest] resistance 2 3 true
# decay shield , 20/s
execute if score worldScore wtc_2 matches 1 run scoreboard players remove gisella boss.gisella.shield 1

# effects on allies; blindness and slowness, manablight
execute as @e[type=#ally,distance=..70] at @s run effect give @s slowness 1 2 false
execute as @e[type=#ally,distance=..70] at @s run effect give @s darkness 1 2 false
execute as @e[type=#ally,distance=..70] at @s run effect give @s water_breathing 1 2 false

#blizzard particles
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle dust 0.722 0.906 0.918 1 ~ ~5 ~ 10 5 10 0 10 normal
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle snowflake ~ ~5 ~ 10 5 10 0.3 10 normal
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s run particle electric_spark ~ ~5 ~ 10 5 10 0.3 10 normal
execute as @e[tag=aj.gisella_moth.locator.staff,limit=1,sort=nearest] at @s if score worldScore wtc_4 matches 3.. run particle flash ~ ~5 ~ 10 5 10 0 1 normal

#summon random projectiles
execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s run summon area_effect_cloud ~ ~ ~ {Duration:1,Tags:["gisella_bd_target"]}
execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s run summon area_effect_cloud ~ ~ ~ {Duration:1,Tags:["gisella_bd_target"]}

execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s run spreadplayers ~ ~ 0.1 60 under 250 true @e[tag=gisella_bd_target,type=area_effect_cloud,distance=..60]
execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s run playsound entity.elder_guardian.ambient ambient @a[distance=..90] ~ ~ ~ 0.6 2 0.3
execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s if score worldScore wtc_20 matches 19.. run playsound item.elytra.flying ambient @a[distance=..90] ~ ~ ~ 1 2 0.6

execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s if score worldScore wtc_4 matches 3.. run execute as @e[tag=gisella_standing_place,limit=1,sort=random,type=marker] at @s run playsound block.glass.break ambient @a[distance=..30] ~ ~ ~ 0.3 1 0.1
execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest,type=item_display] at @s if score worldScore wtc_20 matches 19.. run execute as @e[tag=gisella_standing_place,limit=1,sort=random,type=marker] at @s run playsound block.amethyst_block.break ambient @a[distance=..30] ~ ~ ~ 1 0 0.8

execute as @e[tag=gisella_bd_target,type=area_effect_cloud] at @s if score worldScore wtc_10 matches 9.. run summon area_effect_cloud ~ ~ ~ {Duration:60,Tags:["gisella_proj_bd1"]}
execute if score worldScore wtc_10 matches 9.. run execute at @e[type=#ally,sort=random,distance=..90,limit=3] run summon area_effect_cloud ~ ~ ~ {Duration:60,Tags:["gisella_proj_bd1"]}

execute as @e[tag=aj.gisella_moth.root,limit=1,sort=nearest] at @s if score gisella boss.gisella.shield matches ..0 run function ampsurv:boss/gisella/moth/attacks/blizzard/end

#score for sound loop 

