## Wisdom Monolith loop [tag=wisdom_monolith_model]

#animation
execute as @e[tag=aj.machinegod_fragments.root,tag=!aj.machinegod_fragments.animation.spawn,tag=!aj.machinegod_fragments.animation.idle] at @s run function animated_java:machinegod_fragments/animations/idle/play

execute as @e[tag=wisdom_monolith_entity] run data modify entity @s Fire set value 0

#particles
execute as @e[tag=machinegod_fragments_locator] at @s run particle dust_color_transition 0.4 0 0.5 1.5 1 0 1 ~ ~ ~ 1.5 1 1.5 0 3 force
execute as @e[tag=machinegod_fragments_locator] at @s run particle witch ~ ~ ~ 1.5 1 1.5 1 3 force
execute as @e[tag=machinegod_fragments_locator] at @s run particle dragon_breath ~ ~ ~ 0 0 0 0.4 3 normal
execute as @e[tag=machinegod_fragments_locator] at @s run particle end_rod ~ ~ ~ 0 0 0 0.4 3 normal
#sounds

#tp entities to locators, wisdom_monolith_entity, wmeX
execute as @e[tag=machinegod_fragments_locator_spike1] at @s run tp @e[type=phantom,tag=wme1,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike2] at @s run tp @e[type=phantom,tag=wme2,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike3] at @s run tp @e[type=phantom,tag=wme3,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike4] at @s run tp @e[type=phantom,tag=wme4,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike5] at @s run tp @e[type=phantom,tag=wme5,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike6] at @s run tp @e[type=phantom,tag=wme6,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike7] at @s run tp @e[type=phantom,tag=wme7,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_spike8] at @s run tp @e[type=phantom,tag=wme8,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_fragments_locator_circle] at @s run tp @e[type=phantom,tag=wmec,limit=1,sort=nearest] ~ ~ ~

#visual ring

#death check
execute as @e[tag=aj.machinegod_fragments.root,tag=!aj.machinegod_fragments.animation.spawn,tag=!dying] at @s as @e[tag=machinegod_fragments_locator] at @s unless entity @e[tag=wisdom_monolith_entity,distance=..4] run function ampsurv:boss/machinegod/attacks/godform/fragments/destroy

#attack - summon shards when anim time ..0
execute as @e[tag=aj.machinegod_fragments.root] at @s if score @s ally.anim_tick matches 10 run function ampsurv:boss/machinegod/attacks/godform/fragments/summon-attack

scoreboard players set @e[tag=aj.machinegod_fragments.root,scores={ally.anim_tick=..1}] ally.anim_tick 80
scoreboard players remove @e[tag=aj.machinegod_fragments.root,scores={ally.anim_tick=0..}] ally.anim_tick 1

#locators:
#machinegod_fragments_locator_spike1
#machinegod_fragments_locator_spike2
#machinegod_fragments_locator_spike3
#machinegod_fragments_locator_spike4
#machinegod_fragments_locator_spike5
#machinegod_fragments_locator_spike6
#machinegod_fragments_locator_spike7
#machinegod_fragments_locator_spike8
#machinegod_fragments_locator_circle