# gravityfalls_rock

## accd = lift time
## aacd = max lifetime
## agcd = randomizer

scoreboard players set @s[tag=!scened] accd 0
scoreboard players set @s[tag=!scened] aacd 800
scoreboard players operation @s[tag=!scened] agcd = @p ally.anim_tick
team join glow_magenta @s[tag=!scened]

#summon lingering field
execute as @s[tag=!scened] at @s run summon area_effect_cloud ~ ~ ~ {Duration:999999,Tags:["gravityfalls_lingering_area"]}

tag @s add scened

#score increment and resets
scoreboard players add @s[tag=scened] accd 1
scoreboard players remove @s[tag=scened] aacd 1

# rising rocks
execute if entity @s[tag=!rain,scores={agcd=..10}] if block ~ ~1 ~ #proj_pass run tp @s ~ ~0.2 ~
execute if entity @s[tag=!rain,scores={agcd=11..20}] if block ~ ~1 ~ #proj_pass run tp @s ~ ~0.4 ~
execute if entity @s[tag=!rain,scores={agcd=21..30}] if block ~ ~1 ~ #proj_pass run tp @s ~ ~0.6 ~

# falling rocks
execute if entity @s[tag=rain,tag=!set] if entity @p[tag=!untargettable,distance=..60] run tp @s ~ ~ ~ facing entity @p[tag=!untargettable,distance=..60]
execute if entity @s[tag=rain,tag=!set] unless entity @p[tag=!untargettable,distance=..60] run tp @s ~ ~ ~ facing entity @e[tag=gravityfalls_lingering_area,limit=1,sort=nearest]
tag @s[tag=rain,tag=!set] add set
execute if entity @s[tag=rain,tag=set,tag=!settled] run tp @s ^ ^ ^2.5
#execute if entity @s[tag=rain,tag=set,tag=!settled] run tp @s ~ ~-2.5 ~
execute if entity @s[tag=rain,tag=!settled] unless block ~ ~-1.5 ~ #proj_pass run function ampsurv:boss/machinegod/attacks/godform/gravity-falls/proj-explode
execute if entity @s[tag=rain,tag=settled] run function ampsurv:boss/machinegod/attacks/godform/gravity-falls/proj-explode

#particles
particle witch ~ ~1 ~ 0.3 0.5 0.3 1 5 normal
particle dragon_breath ~ ~1 ~ 0.1 0.5 0.1 0.03 5 normal
particle instant_effect ~ ~1 ~ 0.1 0.5 0.1 1 3 force

#sounds
execute if score @s aacd matches ..1 run function ampsurv:boss/machinegod/attacks/godform/gravity-falls/proj-explode