#formula:
# desmos : Y=\operatorname{mod}\left(20\cdot\left(X+2\right),90\right)/1.1\ +5
#Y = (20*(x+2))%90 / (mgodfactor/10) + 5
#                   ^ less to make higher max/min. more to vice versa. Reduce only per 0.1 inc/dec. If =2, this func returns (5~50)
# if =1, (5 ~ 95)

#set up base scores
scoreboard players set #20 aacd 20
scoreboard players set #5 aacd 5
scoreboard players set #2 aacd 2
scoreboard players set #10 aacd 10

#mgodfactor is set outside this func, before it is called.
#scoreboard players set #mgodfactor boss.storage1 20

scoreboard players set #90 aacd 90
scoreboard players set #mgodtmp boss.storage1 2

# x+2 -> mgodtmp
scoreboard players operation #mgodtmp boss.storage1 += machinegod ally.anim_tick

# 20 * (x+2) -> mgodtmp
scoreboard players operation #mgodtmp boss.storage1 *= #20 aacd

# 20 * (x+2) % 90 -> mgodtmp
scoreboard players operation #mgodtmp boss.storage1 %= #90 aacd

# setup mgodfactor
scoreboard players operation #mgodfactor boss.storage1 /= #10 aacd

# 20 * (x+2) % 90 / mgodfactor -> mgodtmp
scoreboard players operation #mgodtmp boss.storage1 /= #mgodfactor boss.storage1

# +5 
scoreboard players operation #mgodtmp boss.storage1 += #5 aacd

# add to boss.storage1
scoreboard players operation machinegod boss.storage1 += #mgodtmp boss.storage1