

#hp
execute as @e[tag=mordecai_hitbox,type=#mordecai_hitboxes,tag=hurt,limit=1,sort=nearest] run function ampsurv:boss/mordecai/system/hurtbox/operation

#display bar
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp18 value run scoreboard players get mordecai boss.storage.mordecai

#hitboxes
function ampsurv:boss/mordecai/system/hurtbox/tp

#tp model to entity
execute as @e[tag=mordecai_entity,type=wither_skeleton] at @s run tp @e[tag=aj.mordecai.root,limit=1,sort=nearest] ~ ~ ~
execute as @s at @s anchored eyes rotated as @e[tag=mordecai_entity,type=wither_skeleton,tag=!poise.break] positioned ^ ^ ^5 rotated as @s positioned ^ ^ ^20 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ 0
execute as @e[tag=mordecai_entity,type=wither_skeleton] at @s run effect clear @s glowing

# score add and score resets
scoreboard players add mordecai boss.battle_tick 1
execute if entity @e[tag=mordecai_entity,type=wither_skeleton,distance=..100] if entity @s[tag=!dying] if score mordecai boss.battle_tick matches 500.. run scoreboard players set mordecai boss.battle_tick 1
execute if score mordecai boss.battle_tick matches 250 run tag @e remove mordecai_target
execute if score mordecai boss.battle_tick matches 499 run tag @e remove mordecai_target

#particle
particle witch ~ ~1 ~ 1 1 1 0 5 normal
particle dust 0.173 0.02 0.235 1 ~ ~1 ~ 1 1 1 0 3 normal
#phase2 particles
execute at @e[tag=mordecai_locator_greatsword,limit=5,sort=nearest] if entity @e[tag=mordecai_entity,tag=phase2,type=wither_skeleton] run particle witch ~ ~ ~ 0.3 0.3 0.3 0 3 normal
execute at @e[tag=aj.mordecai.locator.head,limit=1,sort=nearest] if entity @e[tag=mordecai_entity,tag=phase2,type=wither_skeleton] run particle witch ~ ~ ~ 0.3 0 0.3 0 3 normal

#hurt
execute if entity @e[tag=mordecai_hitbox,tag=hurt,type=#mordecai_hitboxes] run playsound minecraft:entity.wither_skeleton.hurt ambient @a[distance=..40] ~ ~ ~ 1 0 0
execute if entity @e[tag=mordecai_hitbox,tag=hurt,type=#mordecai_hitboxes] run bossbar set minecraft:bosshp18 color white
execute if entity @e[tag=mordecai_hitbox,tag=hurt,type=#mordecai_hitboxes] run schedule function ampsurv:boss/mordecai/system/hurtbox/bossbar 3t

# boss.storage2 animation cooldown
execute if score mordecai boss.storage2 matches 1.. run scoreboard players remove mordecai boss.storage2 1
# boss.storage1 attack cooldown
execute if score mordecai boss.storage1 matches 1.. run scoreboard players remove mordecai boss.storage1 1

#music
execute if score mordecai boss.mordecai.music matches 1.. run scoreboard players remove mordecai boss.mordecai.music 1
execute if score mordecai boss.mordecai.music matches 0 run playsound minecraft:boss.mordecai.theme record @a[distance=..100] ~ ~ ~ 0.7 1 0.7
execute if score mordecai boss.mordecai.music matches 0 run scoreboard players set mordecai boss.mordecai.music 4780

#targetting system
execute as @e[tag=mordecai_entity,type=wither_skeleton] at @s if score worldScore wtc_10 matches 9.. run function ampsurv:boss/mordecai/system/targetting

# attack randomizer score (now handled in function ampsurv:boss/mordecai/system/phases/attackphases/manager)
#execute if score mordecai ally.anim_tick matches ..5 run scoreboard players add mordecai ally.anim_tick 1
#execute if score mordecai ally.anim_tick matches 5.. run scoreboard players set mordecai ally.anim_tick 0

#poise break
execute if score mordecai entity.poise matches ..0 if entity @s[tag=!poise.break] run function ampsurv:boss/mordecai/system/poise/break

#idle animation in battle
execute if score mordecai boss.battle_tick matches 1.. if score mordecai boss.storage2 matches ..0 if entity @e[tag=aj.mordecai.root,tag=!attack,tag=!dying] as @s at @s run function ampsurv:boss/mordecai/system/ai/movement

#choose attack
execute if score mordecai boss.battle_tick matches 1.. if score mordecai boss.storage1 matches ..0 run tag @s remove attack

execute if score mordecai boss.storage1 matches ..0 if score mordecai boss.storage2 matches ..0 if score mordecai combo matches ..0 if entity @e[tag=aj.mordecai.root,tag=!attack,tag=!dying,tag=!fof_next,tag=!rmpg_next] run execute as @e[tag=aj.mordecai.root,type=item_display] at @s run function ampsurv:boss/mordecai/system/phases/attackphases/manager

#animation loops
function ampsurv:boss/mordecai/attacks/projectile/manager
execute if score mordecai fbcd matches 1.. run function ampsurv:boss/mordecai/attacks/fatebond/effect

execute if entity @s[tag=aj.mordecai.animation.wide_slash] run function ampsurv:boss/mordecai/attacks/wide-slash/loop
execute if entity @s[tag=aj.mordecai.animation.spin] run function ampsurv:boss/mordecai/attacks/spin/loop
execute if entity @s[tag=aj.mordecai.animation.leap] run function ampsurv:boss/mordecai/attacks/leap/loop
execute if entity @s[tag=aj.mordecai.animation.slam] run function ampsurv:boss/mordecai/attacks/slam/loop
execute if entity @s[tag=aj.mordecai.animation.upward_slash] run function ampsurv:boss/mordecai/attacks/upward_slash/loop
execute if entity @s[tag=aj.mordecai.animation.pierce] run function ampsurv:boss/mordecai/attacks/pierce/loop
execute if entity @s[tag=aj.mordecai.animation.dash_slash] run function ampsurv:boss/mordecai/attacks/dash-slash/loop
execute if entity @s[tag=aj.mordecai.animation.dash] run function ampsurv:boss/mordecai/attacks/dash/loop
execute if entity @s[tag=aj.mordecai.animation.dashback] run function ampsurv:boss/mordecai/attacks/dashback/loop
execute if entity @s[tag=aj.mordecai.animation.retracting_throws] run function ampsurv:boss/mordecai/attacks/retracting-throws/loop
execute if entity @s[tag=aj.mordecai.animation.triple_quickstrikes] run function ampsurv:boss/mordecai/attacks/triple-quickstrike/loop
execute if entity @s[tag=aj.mordecai.animation.fistblasting] run function ampsurv:boss/mordecai/attacks/fireblast/loop
execute if entity @s[tag=aj.mordecai.animation.soulfire_breath] run function ampsurv:boss/mordecai/attacks/soulfire-breath/loop
execute if entity @s[tag=aj.mordecai.animation.advancing_spin] run function ampsurv:boss/mordecai/attacks/advancing-spin/loop
execute if entity @s[tag=aj.mordecai.animation.infernal_tremor] run function ampsurv:boss/mordecai/attacks/infernal-tremor/loop
execute if entity @s[tag=aj.mordecai.animation.fell_pursuit] run function ampsurv:boss/mordecai/attacks/fell-pursuit/loop
execute if entity @s[tag=aj.mordecai.animation.double_slash] run function ampsurv:boss/mordecai/attacks/double-slash/loop
execute if entity @s[tag=aj.mordecai.animation.sweeping_slash] run function ampsurv:boss/mordecai/attacks/sweeping-slash/loop
execute if entity @s[tag=aj.mordecai.animation.dismal_wave] run function ampsurv:boss/mordecai/attacks/dismal-wave/loop
execute if entity @s[tag=aj.mordecai.animation.field_of_fallen] run function ampsurv:boss/mordecai/attacks/fof/loop
execute if entity @s[tag=aj.mordecai.animation.rampage] run function ampsurv:boss/mordecai/attacks/rmpg/loop
execute if entity @s[tag=aj.mordecai.animation.soul_avowal] run function ampsurv:boss/mordecai/attacks/fatebond/loop
execute if entity @s[tag=aj.mordecai.animation.ressurect,tag=ressurecting] run function ampsurv:boss/mordecai/system/ressurect-loop
execute if entity @s[tag=aj.mordecai.animation.break] run function ampsurv:boss/mordecai/system/poise/loop

#waits
execute if entity @s[tag=fof_next] run function ampsurv:boss/mordecai/attacks/fof/wait
execute if entity @s[tag=rmpg_next] run function ampsurv:boss/mordecai/attacks/rmpg/wait
execute if entity @s[tag=fp_wait] run function ampsurv:boss/mordecai/attacks/fell-pursuit/wait

#combo loops
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-slash-spin-leap] run function ampsurv:boss/mordecai/attacks/combo/slash-spin-leap/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-slam-upwardslash] run function ampsurv:boss/mordecai/attacks/combo/slam-upwardslash/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-dash-random-3] run function ampsurv:boss/mordecai/attacks/combo/dash-random-3/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-advancing] run function ampsurv:boss/mordecai/attacks/combo/advancing-combo/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-random-4] run function ampsurv:boss/mordecai/attacks/combo/random-4/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-throwback-readvance] run function ampsurv:boss/mordecai/attacks/combo/throwback-readvance/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-smart-3] run function ampsurv:boss/mordecai/attacks/combo/smart-3/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-smart-4] run function ampsurv:boss/mordecai/attacks/combo/smart-4/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-smart-2] run function ampsurv:boss/mordecai/attacks/combo/smart-2/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-phys-3] run function ampsurv:boss/mordecai/attacks/combo/physical-3/manager
execute if score mordecai combo matches 1.. if score mordecai boss.storage1 matches ..0 if entity @s[tag=combo-unending] run function ampsurv:boss/mordecai/attacks/combo/unending/manager

#phases mechanics
#died once, rmp next
#execute as @e[tag=aj.mordecai.root,type=item_display,tag=!died_once] if score mordecai boss.storage.mordecai matches ..1 run function ampsurv:boss/mordecai/system/phases/detect/diedonce
#50%
execute as @e[tag=aj.mordecai.root,type=item_display,tag=!50_percent] if score mordecai boss.storage.mordecai matches ..750 run function ampsurv:boss/mordecai/system/phases/detect/50

#death ------------------------------------
# check if can res
execute as @e[tag=aj.mordecai.root,type=item_display,tag=scened] if score mordecai boss.storage.mordecai matches ..1 run function ampsurv:boss/mordecai/system/defeat-check

# loop
execute as @e[tag=aj.mordecai.root,type=item_display,tag=dying,tag=scened] at @s run function ampsurv:boss/mordecai/system/defeat

#retreat
execute unless entity @a[tag=!dead,distance=..150] run tag @s add retreating

#loop
execute as @e[tag=aj.mordecai.root,type=item_display,tag=retreating,tag=!dying,tag=scened] run function ampsurv:boss/mordecai/system/retreat

