#mob's ai

#scoreboards
#attack cd only decrease if players are near.
execute as @s at @s if entity @p[distance=..30] run scoreboard players remove @s[scores={boss.storage1=0..}] boss.storage1 1
scoreboard players remove @s[scores={boss.storage2=0..}] boss.storage2 1

#aacd=skill cooldown ( only decrease if players are near.)
execute as @s at @s if entity @p[distance=..30] run scoreboard players remove @s[scores={aacd=1..}] aacd 1
#accd = hurt time
scoreboard players remove @s[scores={accd=1..}] accd 1
#agcd = emotional value, increase if no other allies are nearby. max 1000, used in interactions
execute unless entity @e[type=#ally,distance=2..10] run scoreboard players add @s[scores={agcd=1..1000}] agcd 1

scoreboard players add @s[scores={ally.anim_tick=..60}] ally.anim_tick 1
scoreboard players set @s[scores={ally.anim_tick=60..}] ally.anim_tick 0

#tp model
execute if score worldScore wtc_10 matches 9.. run function ampsurv:entity/ally/f.villager/model-manager
scoreboard players operation $temp iacd = @s iacd
execute as @e[tag=aj.f.villager.root,type=item_display] if score @s iacd = $temp iacd run tp @s ~ ~ ~ ~ 0

#movements
execute if entity @s[tag=!interacting] run function ampsurv:entity/ally/f.villager/movement

##================================================================
#interactions with villager
execute if score worldScore wtc_4 matches 3.. unless entity @p[distance=..10,tag=untargettable] if score @s agcd matches 1.. if score @s boss.storage2 matches ..0 if score @s boss.storage1 matches ..0 run function ampsurv:entity/ally/f.villager/interactions/villager

#interactions w player (when player right-click them)
#check if player is talking to u
execute if score worldScore wtc_4 matches 3.. if score @s boss.storage2 matches ..0 if score @s boss.storage1 matches ..0 if entity @p[gamemode=!spectator,scores={player.interact.villager=1..},distance=..4] run function ampsurv:entity/ally/f.villager/interactions/player

#reset player interactions if theyre too far.
execute if score worldScore wtc_20 matches 19.. unless entity @p[distance=..40,gamemode=!spectator] as @s[type=villager,scores={npc.conversation.number=1..}] at @s run scoreboard players set @s npc.conversation.number 0

execute if score @s boss.storage2 matches ..0 run tag @s remove interacting
execute if score @s boss.storage1 matches ..0 run tag @s remove greeted
#i.greeted resets when players are away
execute as @s at @s if entity @p[distance=30..] run tag @s remove i.greeted
##==============================================================

#hurt
execute if entity @s[tag=hurt] run function ampsurv:entity/ally/f.villager/hurt

#blink
execute if entity @s[scores={ally.anim_tick=57..}] run function ampsurv:entity/ally/f.villager/blink
execute if entity @s[scores={ally.anim_tick=1}] run function ampsurv:entity/ally/f.villager/reset-blink

#reset anim
execute if score @s boss.storage1 matches 1 run function ampsurv:entity/ally/f.villager/anim-reset

execute if entity @p[distance=50..] run tag @s remove greeted



