#loops

execute if score worldScore wtc_20 matches 19.. as @a[tag=helm-of-twin-spire] at @s run function ampsurv:items/armor/helmet-of-the-twin-spire/loop
execute if score worldScore wtc_20 matches 19.. as @a[tag=cerulean-frost-set-bonus] at @s run function ampsurv:items/armor/cerulean-frost-set/loop

execute as @a[tag=mask-of-duskwillow] at @s run function ampsurv:items/armor/mask-of-duskwillow/skill

execute as @a[tag=forest-champion-crown] at @s run function ampsurv:items/armor/forest-champion-crown/skill

execute as @a[tag=wyndsought-armet] at @s run function ampsurv:items/armor/wyndsought-knight-armet/loop

execute if score worldScore wtc_20 matches 19.. as @a[tag=wanderer-set-bonus] at @s run function ampsurv:items/armor/wanderer-set/skill

#barethas
execute as @a[tag=barethas-set-bonus] at @s if entity @e[type=#enemy,tag=hurt,distance=..8] run function ampsurv:items/armor/barethas-set/skillproc

#inquisitor
execute as @a[tag=inquisitor-set-bonus] at @s if entity @e[type=#enemy,tag=hurt,distance=..8] run function ampsurv:items/armor/inquisitor-set/skillproc
execute if score worldScore wtc_10 matches 9.. as @a[tag=inquisitor-set-bonus] run function ampsurv:items/armor/inquisitor-set/loop
#inquisitor set bonus
execute as @a[tag=inquisitor-set-bonus] at @s if score @s inquisitor.stack matches 1.. run particle dust_color_transition 0 1 1 1 0.106 0.012 0.267 ~ ~ ~ 0.4 0.1 0.4 0 1 normal

#fortress guard
execute as @a[tag=fortress-guard-set-bonus] at @s if entity @s[tag=hurt] run function ampsurv:items/armor/fortress-guard-set/skillproc
execute if score worldScore wtc_10 matches 9.. as @a[tag=fortress-guard-set-bonus] run function ampsurv:items/armor/fortress-guard-set/loop
#fortress guard set bonus
execute as @a[tag=fortress-guard-set-bonus] at @s if score @s inquisitor.stack matches 1.. run particle electric_spark ~ ~ ~ 0.4 0.1 0.4 0 1 normal

#golden paladin
execute as @a[tag=golden-paladin-set-bonus] at @s run function ampsurv:items/armor/golden-paladin-set/loop
execute as @a[tag=!golden-paladin-set-bonus,tag=golden_gleaming_active] at @s run function ampsurv:items/armor/golden-paladin-set/remove

#lionel-pride set bonus
execute as @a[tag=lionel-pride-set-bonus] at @s if score @s inquisitor.stack matches 1.. run particle dust 0.6 0.643 0.314 1 ~ ~ ~ 0.4 0.1 0.4 0 1 normal
execute as @a[tag=lionel-pride-set-bonus] at @s if score @s inquisitor.stack matches 1.. run particle electric_spark ~ ~ ~ 0.4 0.1 0.4 0 1 normal
execute as @a[tag=lionel-pride-set-bonus] at @s if entity @e[type=#enemy,tag=hurt,distance=..8] run function ampsurv:items/armor/lionel-pride-set/skillproc
execute as @a[tag=lionel-pride-set-bonus] at @s if entity @s[tag=hurt] run function ampsurv:items/armor/lionel-pride-set/skillproc
execute if score worldScore wtc_10 matches 9.. as @a[tag=lionel-pride-set-bonus] run function ampsurv:items/armor/lionel-pride-set/loop

#midnight-magika
execute as @a[tag=midnight-magika-set-bonus] at @s run function ampsurv:items/armor/midnight-magika/loop

#brazen champion
execute as @a[tag=brazen-champion-set-bonus] at @s run function ampsurv:items/armor/brazen-champion-set/loop
execute as @a[tag=!brazen-champion-set-bonus,tag=moment-of-valiance] at @s run function ampsurv:items/armor/brazen-champion-set/clear

#lunar-warden
execute as @a[tag=lunar-warden-set-bonus] at @s run function ampsurv:items/armor/lunar-warden-set/loop

#magistrate
execute as @a[tag=magistrate-set-bonus] at @s run function ampsurv:items/armor/magistrate-set/loop

#aristocrat
execute as @a[tag=aristocrat-set-bonus] at @s run function ampsurv:items/armor/aristocrat-set/loop

#cerubril
execute as @a[tag=cerulean-brilliance-set-bonus] at @s run function ampsurv:items/armor/cerulean-brilliance/skill/loop
execute as @e[tag=cerubril-anim] at @s if entity @p[distance=..3,tag=cerulean-brilliance-set-bonus] run function ampsurv:items/armor/cerulean-brilliance/skill/animloop

#tsukitsune
execute as @a[tag=tsukitsune-set-bonus] at @s run function ampsurv:items/armor/tsukitsune-set/loop

#bladeclad
execute as @a[tag=bladeclad-set-bonus] at @s run function ampsurv:items/armor/bladeclad/loop

#viridinaught
execute as @a[tag=viridinaught-set-bonus] at @s run function ampsurv:items/armor/viridinaught/loop

#viridian-abjurer
execute as @a[tag=viridian-abjurer-set-bonus] at @s run function ampsurv:items/armor/viridian-abjurer-set/loop
execute as @e[type=#ally,tag=thorny_wreath_aura] at @s run function ampsurv:items/armor/viridian-abjurer-set/auraloop
execute as @e[tag=viriabju-anim] at @s if entity @p[distance=..3,tag=viridian-abjurer-set-bonus] run function ampsurv:items/armor/viridian-abjurer-set/animloop

#windward traveller
execute if score worldScore wtc_20 matches 19.. as @a[tag=traveller-set-bonus] at @s run function ampsurv:items/armor/traveller-set/skill

#vagabond
execute as @a[tag=vagabond-set-bonus] at @s run function ampsurv:items/armor/vagabond-set/loop

#tattered
execute as @a[tag=tattered-set-bonus] at @s if score @s melee_hit matches 1.. as @e[type=#enemy,tag=hurt,tag=bleed,distance=..4,limit=1,sort=nearest] at @s run function ampsurv:items/armor/tattered-set/skill

#servant of sayad
execute as @a[tag=servants-of-sayad-set-bonus] at @s run function ampsurv:items/armor/servants-of-sayad/loop

#flame servant mask
execute as @a[tag=flame-servant-mask,tag=hurt] at @s as @e[type=#enemy,distance=..6,sort=random,limit=1] at @s run function ampsurv:items/armor/flame-servant-mask/skill

#blood servant mask
execute as @a[tag=blood-servant-mask] at @s if score @s melee_hit matches 1.. as @e[type=#enemy,tag=bleed,distance=..4,limit=1,sort=nearest] at @s run function ampsurv:items/armor/blood-servant-mask/skill

#arcane evil visage / visage of the arcane servant
execute as @a[tag=arcane-servant-mask] at @s as @e[type=#enemy,tag=hurt,distance=..20,limit=1,sort=nearest] at @s run function ampsurv:items/armor/arcane-servant-mask/skill

#ceremonial set
execute as @a[tag=ceremonial-set-bonus] at @s as @e[type=#enemy,distance=..20] at @s run function ampsurv:items/armor/ceremonial-set/skill
