#set fragile, executed as enemies, from data/ampsurv/functions/system/damage/from-ability.mcfunction

scoreboard players set @s[scores={entity.afflict.fragility.factor=..49}] entity.afflict.fragility.factor 50
scoreboard players set @s[scores={entity.fragility.duration=..100}] entity.fragility.duration 100
scoreboard players add @s[scores={generic.bleed.duration=..1}] generic.bleed.buildup 25

effect give @s water_breathing 5 1 true

#restore hp and mana to players that have the crown
scoreboard players operation #crownoftwelvestarstmp entity.last.damaged.magical = @s entity.last.damaged.magical
scoreboard players operation #crownoftwelvestarstmp entity.last.damaged.magical += @s entity.last.damaged.physical
scoreboard players operation #crownoftwelvestarstmp entity.last.damaged.magical += @s entity.last.damaged.pure

#calculation for 25% of the damage (in mults of 10 -> 100 dmg = 1000 in [entity.last.damaged.magical]
scoreboard players set #40 entity.last.damaged.magical 40
scoreboard players operation #crownoftwelvestarstmp entity.last.damaged.magical /= #40 entity.last.damaged.magical
# at this point, #crownoftwelvestarstmp entity.last.damaged.magical = 25% of the damage dealt.
# heal mana equal to 25% of dmg dealt.
scoreboard players operation @a[tag=crown-of-twelve-stars,distance=..20] player.mana += #crownoftwelvestarstmp entity.last.damaged.magical

# to heal 1 hp, you need 100 player.regen.buffer. therefore, the conversion rate is 1:100.
# to heal 5% of dmg, then 25% of the dmg dealt, must be mult by 100/5=20.
# e.g 100 dmg => 25 mana and 5 hp = 500 regen buffer. 25 * 20 = 500.
scoreboard players set #20 entity.last.damaged.magical 20
scoreboard players operation #crownoftwelvestarstmp entity.last.damaged.magical *= #20 entity.last.damaged.magical
#now this will heal the hp of players by 5% of dmg dealt.
scoreboard players operation @a[tag=crown-of-twelve-stars,distance=..20] player.regen.buffer += #crownoftwelvestarstmp entity.last.damaged.magical

#particle
#onhead
particle electric_spark ~ ~2 ~ 0 0 0 1 10 normal
particle dragon_breath ~ ~2 ~ 0 0 0 0.03 10 normal
particle soul_fire_flame ~ ~2 ~ 0 0 0 0.03 10 normal
particle block redstone_block ~ ~2 ~ 0 0 0 0.3 10 normal
#on body
particle dust_color_transition 1 0 0 1.5 0.404 0.18 0.18 ~ ~0.5 ~ 0.5 1 0.5 0 5 force
particle dust 0.396 0.22 0.843 1.5 ~ ~1 ~ 0.5 1 0.5 1 10 normal
#on ground
particle witch ~ ~0.2 ~ 1.5 0 1.5 1 25 force
particle squid_ink ~ ~0.2 ~ 1.5 0 1.5 0 10 normal
#ring on feet
function ampsurv:relic/item/crown-of-twelve-stars/ring1
function ampsurv:relic/item/crown-of-twelve-stars/ring2

#sounds
playsound item.trident.thunder player @a[distance=..25] ~ ~ ~ 1 2 0
playsound entity.elder_guardian.hurt player @a[distance=..25] ~ ~ ~ 1 1 0
playsound block.bubble_column.whirlpool_inside player @a[distance=..25] ~ ~ ~ 1 2 0

#icd
scoreboard players set @s amu.trinket.cd 20

#damage
scoreboard players set #crownoftwelvestarsdmg entity.damaged.magical 8
scoreboard players operation #crownoftwelvestarsdmg entity.damaged.magical *= @p[tag=crown-of-twelve-stars] player.affinity
scoreboard players operation @e[type=#enemy,distance=..3] entity.damaged.magical += #crownoftwelvestarsdmg entity.damaged.magical

execute unless entity @a[tag=crown-of-twelve-stars,distance=..25] run tag @s remove crown-of-twelve-stars-aura