#Generic Mob Checks
function ampsurv:system/entity-manager
#generic dropped item checks
function ampsurv:system/entity/dropped-items/tick

#WTC updates
scoreboard players add worldScore wtc_2 1
scoreboard players add worldScore wtc_20 1
scoreboard players add worldScore wtc_4 1
scoreboard players add worldScore wtc_10 1

execute if score worldScore wtc_2 matches 2.. run scoreboard players set worldScore wtc_2 0
execute if score worldScore wtc_20 matches 20.. run scoreboard players set worldScore wtc_20 0
execute if score worldScore wtc_4 matches 4.. run scoreboard players set worldScore wtc_4 0
execute if score worldScore wtc_10 matches 10.. run scoreboard players set worldScore wtc_10 0

#Boss Checks
function ampsurv:boss/bossbars/driver
#execute if entity @e[tag=boss] run function md:md-bossmanager
function ampsurv:boss/a_tick

#registration checks
execute if score worldScore wtc_20 matches 19.. as @a[tag=!registerred] at @s run function ampsurv:scoreboards/this-player

# Skill Checks
function ampsurv:skill-tick

# Relic Proccs
function ampsurv:relic/check-proccs

# Utility Checks
execute if score worldScore wtc_4 matches 3.. run function ampsurv:system/util/tick-check

#Landmark Checks
execute if score worldScore wtc_10 matches 9.. if entity @e[tag=bosstotem,type=armor_stand] run function ampsurv:landmarks/bosstotem/bosstotems
execute as @a[tag=creative_shock] at @s unless entity @e[tag=bosstotem,distance=..50] run tag @s remove creative_shock

#Custom Allies Checks
function ampsurv:entity/ally/1.tick

#Enemies Checks
function ampsurv:entity/enemy/1.tick

#voting checks
function ampsurv:system/voting/generic-driver

#Structures Check
execute if entity @e[tag=structure] run function ampsurv:structures/ally/structure_driver

#Carrot on a stick check
function ampsurv:items/util/tick-check

#block check
execute as @a at @s run function ampsurv:system/blocking-stamina/check

#weapons
function ampsurv:weapons/1.tick

#heroic summons
execute as @a[predicate=ampsurv:hold_carrot_stick] run function ampsurv:system/heroic_items/driver
function ampsurv:system/heroic_items/cd_manager

#actionbar
function ampsurv:system/actionbar/tick

#alchemy tick
function ampsurv:system/alchemy_table/check

#compass check
function ampsurv:items/compass/driver

#interactibles check
execute if score worldScore wtc_4 matches 3.. as @a at @s if entity @e[tag=interactible,distance=..5] run function ampsurv:system/ui/interactible/glow/.loop
execute if score worldScore wtc_20 matches 19.. as @e[tag=interactible,tag=item.display.glowing] at @s if entity @p[distance=6..] run function ampsurv:system/ui/interactible/glow/itemdisp-reset

#custom effects
function ampsurv:effects/1.tick
function ampsurv:system/stat/1.tick
function ampsurv:system/amulet_slot/1.tick

#climbing
function ampsurv:system/climbing/check

#important global score resets
scoreboard players set @a use_carrot_stick 0
scoreboard players set @a crouch 0

#advancement resets
advancement revoke @a[advancements={ampsurv:pickup=true}] only ampsurv:pickup
advancement revoke @a[advancements={ampsurv:spellcast=true}] only ampsurv:spellcast
advancement revoke @a[advancements={ampsurv:throw-knife=true}] only ampsurv:throw-knife