#calls all loops
##cd manager
function ampsurv:weapons/sword/cd


execute as @a[tag=shadowstriker] at @s run function ampsurv:weapons/sword/tsukanoma/shadowstriker_loop
execute as @e[type=area_effect_cloud,tag=new-moon-greatsword-proj] at @s run function ampsurv:weapons/sword/new-moon-greatsword/loop
execute as @e[type=area_effect_cloud,tag=hoarfrost-sword-proj] at @s run function ampsurv:weapons/sword/hoarfrost-sword/loop

#dual wield hit swords
execute as @a[tag=odo-jairi-hitting] at @s run function ampsurv:weapons/sword/odo-jairi/loop
execute as @a[tag=scarlet-vane-hitting] at @s run function ampsurv:weapons/sword/scarlet-vane/loop
execute as @a[tag=blackwing-amyreuse-hitting] at @s run function ampsurv:weapons/throwing-knife/blackwing-amyreuse/loop
execute as @a[tag=whitewing-amyreuse-buff] at @s run function ampsurv:weapons/sword/whitewing-amyreuse/loop

#amnareth loop
execute as @a[tag=!amnareth-buff,advancements={ampsurv:spellcast=true},predicate=ampsurv:weapon/sword/amnareth] at @s if score @s amnareth_cd matches ..1 run function ampsurv:weapons/sword/amnareth/buff
execute as @a[tag=amnareth-buff] if score @s amnareth_cd matches ..300 run tag @s remove amnareth-buff

#sanguinis loop
#buff
execute as @a[tag=sanguinis.buff] at @s run function ampsurv:weapons/sword/sanguinis/soul-loop
#gainsoul
execute as @a[predicate=ampsurv:weapon/sword/sanguinis,scores={sanguinis.kill=1..}] at @s run function ampsurv:weapons/sword/sanguinis/gain-soul
execute as @a[predicate=ampsurv:weapon/sword/sanguinis-offhand,scores={sanguinis.kill=1..}] at @s run function ampsurv:weapons/sword/sanguinis/gain-soul

#avaricus skill detect
execute as @a[tag=sanguinis.buff,tag=!avaricus.buff,scores={sanguinis.souls=5..},advancements={ampsurv:spellcast=true},predicate=ampsurv:weapon/sword/avaricus] at @s run function ampsurv:weapons/sword/avaricus/buff
execute as @a[tag=avaricus.buff] at @s run particle dust 0.6 0 0 1 ~ ~1 ~ 0.4 0.5 0.4 0.03 2 normal
execute as @a[tag=avaricus.buff] if score @s sanguinis.duration matches 9299..9300 run function ampsurv:weapons/sword/avaricus/clear-buff

#soulcatcher loop
#buff
execute as @a[tag=soulcatcher.buff] at @s run function ampsurv:weapons/sword/soul-catcher/soul-loop
#gainsoul
execute as @a[predicate=ampsurv:weapon/sword/soul-catcher,scores={soulcatcher.kill=1..}] at @s run function ampsurv:weapons/sword/soul-catcher/gain-soul
execute as @a[predicate=ampsurv:weapon/sword/soul-catcher-offhand,scores={soulcatcher.kill=1..}] at @s run function ampsurv:weapons/sword/soul-catcher/gain-soul

#gran-malus
execute as @a[tag=!gran-malus.buff,advancements={ampsurv:spellcast=true},predicate=ampsurv:weapon/sword/gran-malus] at @s run function ampsurv:weapons/sword/gran-malus/skill
execute as @a[tag=gran-malus.buff] at @s run function ampsurv:weapons/sword/gran-malus/aura-loop

#muramasa skill detect
execute as @a[tag=soulcatcher.buff,tag=!muramasa.buff,scores={soulcatcher.souls=5..},advancements={ampsurv:spellcast=true},predicate=ampsurv:weapon/sword/muramasa] at @s run function ampsurv:weapons/sword/muramasa/buff
execute as @a[tag=muramasa.buff] at @s run particle soul_fire_flame ~ ~1 ~ 0.3 0.5 0.3 0.03 2 normal
execute as @e[tag=muramasa.debuff,type=#enemy] at @s run function ampsurv:weapons/sword/muramasa/debuff-loop
execute if score worldScore wtc_4 matches 3.. as @a[tag=muramasa.buff,predicate=ampsurv:weapon/sword/muramasa] run function ampsurv:weapons/sword/muramasa/apply-buff
execute if score worldScore wtc_4 matches 3.. as @a[tag=muramasa.buff,predicate=!ampsurv:weapon/sword/muramasa] run function ampsurv:weapons/sword/muramasa/clear-buff

#tsukinoken
execute if score worldScore wtc_4 matches 3.. as @a[tag=tsukinoken.buff,predicate=ampsurv:weapon/sword/tsukinoken] run function ampsurv:weapons/sword/tsuki-ken/apply-buff
execute if score worldScore wtc_4 matches 3.. as @a[tag=tsukinoken.buff,predicate=!ampsurv:weapon/sword/tsukinoken] run function ampsurv:weapons/sword/tsuki-ken/clear-buff

#aroundight
execute if score worldScore wtc_4 matches 3.. as @a[tag=aroundight.buff,predicate=ampsurv:weapon/sword/aroundight] run function ampsurv:weapons/sword/aroundight/apply-buff
execute if score worldScore wtc_4 matches 3.. as @a[tag=aroundight.buff,predicate=!ampsurv:weapon/sword/aroundight] run function ampsurv:weapons/sword/aroundight/clear-buff

#voyleinn
execute if score worldScore wtc_4 matches 3.. as @a[tag=voyleinn.buff,predicate=ampsurv:weapon/sword/voyleinn] run function ampsurv:weapons/sword/voyleinn/apply-buff
execute if score worldScore wtc_4 matches 3.. as @a[tag=voyleinn.buff,predicate=!ampsurv:weapon/sword/voyleinn] run function ampsurv:weapons/sword/voyleinn/clear-buff

#dainsleif
execute if score worldScore wtc_4 matches 3.. as @a[tag=dainsleif.buff,predicate=ampsurv:weapon/sword/dainsleif] run function ampsurv:weapons/sword/dainsleif/apply-buff
execute if score worldScore wtc_4 matches 3.. as @a[tag=dainsleif.buff,predicate=!ampsurv:weapon/sword/dainsleif] run function ampsurv:weapons/sword/dainsleif/clear-buff
execute as @e[tag=dainsleif.debuff] at @s run function ampsurv:weapons/sword/dainsleif/debuff-loop

#new-moon-greatsword
execute as @a[predicate=ampsurv:weapon/sword/new-moon-greatsword] at @s run function ampsurv:weapons/sword/new-moon-greatsword/skill-loop

#avenger-blade
execute as @a[predicate=ampsurv:weapon/sword/avenger-blade] at @s run function ampsurv:weapons/sword/avenger-blade/loop
execute as @a[tag=avenger.blade.buff] at @s run function ampsurv:weapons/sword/avenger-blade/particles