import json
import os

# Get the current directory where the script is located
output_dir = os.getcwd()

# Generate JSON files with `count` values from 2 to 64
for count in range(2, 65):
    data = [
        {
            "function": "set_count",
            "count": count
        },
        {
            "function": "set_nbt",
            "entity": "this",
            "tag": f"{lit:1b,unlit:0b,CustomModelData:1,display:{{Name:'[{{\"text\":\"Fire Moth Lantern \",\"italic\":false,\"color\":\"light_purple\",\"bold\":true}},{{\"text\":\"{count}\",\"color\":\"gold\",\"bold\":false}},{{\"text\":\" ⁂\",\"color\":\"gold\",\"bold\":false}}]'}}}"
        }
    ]
    # Define the file name
    file_name = f"{count}.json"
    file_path = os.path.join(output_dir, file_name)

    # Write the JSON data to the file
    with open(file_path, "w") as json_file:
        json.dump(data, json_file, indent=4)

print(f"JSON files created in the current directory: {output_dir}")