#mob's ai
execute if score worldScore wtc_4 matches 3.. store result score @s dfcd run data get entity @s Health
execute if score worldScore wtc_4 matches 3.. store result score accursed_knight boss.storage.accursed_knight run data get entity @s Health
#display bar
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp25 value run scoreboard players get accursed_knight boss.storage.accursed_knight

# score add and score resets
scoreboard players add accursed_knight boss.battle_tick 1
execute if score accursed_knight boss.battle_tick matches 500.. run scoreboard players set accursed_knight boss.battle_tick 1
execute if score accursed_knight boss.battle_tick matches 250 run tag @e remove accursed_knight_target
execute if score accursed_knight boss.battle_tick matches 499 run tag @e remove accursed_knight_target

#music
execute if score accursed_knight boss.accursed_knight.music matches 1.. run scoreboard players remove accursed_knight boss.accursed_knight.music 1
execute if score accursed_knight boss.accursed_knight.music matches 0 run playsound minecraft:boss.accursed_knight.theme record @a[distance=..50] ~ ~ ~ 0.5 1 0.5
execute if score accursed_knight boss.accursed_knight.music matches 0 run scoreboard players set accursed_knight boss.accursed_knight.music 5240

#scoreboards
scoreboard players remove @s[scores={boss.storage1=1..}] boss.storage1 1
scoreboard players remove @s[scores={boss.storage2=1..}] boss.storage2 1

#aacd=skill cooldown ( only decrease if players are near.)
execute if entity @p[distance=..30] run scoreboard players remove @s[scores={aacd=1..}] aacd 1
#accd = hurt time
scoreboard players remove @s[scores={accd=1..}] accd 1

scoreboard players add @s[scores={ally.anim_tick=..60}] ally.anim_tick 1
scoreboard players set @s[scores={ally.anim_tick=60..}] ally.anim_tick 0

#tp model
execute as @e[tag=aj.accursed_knight.root,type=item_display,limit=1,sort=nearest] run function ampsurv:boss/accursed-knight/modeltp
execute as @e[tag=aj.accursed_knight.root,type=item_display,limit=1,sort=nearest] at @s anchored eyes rotated as @e[tag=accursed-knight-entity,type=wither_skeleton,limit=1,sort=nearest] positioned ^ ^ ^5 rotated as @s positioned ^ ^ ^20 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ 0
effect clear @s glowing

#execute as @s at @s anchored eyes rotated as @e[tag=mordecai_entity,type=wither_skeleton,tag=!poise.break] positioned ^ ^ ^5 rotated as @s positioned ^ ^ ^20 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ 0

#slow move if no enemies nearby
execute unless entity @e[type=#ally,distance=..35] run effect give @s slowness 1 1 true
#movements
execute if entity @s[tag=!attacking] run function ampsurv:boss/accursed-knight/movement

#attacks
function ampsurv:boss/accursed-knight/attack
function ampsurv:boss/accursed-knight/attacks/projectiles/manager

#poise break
execute if score @s entity.poise matches ..0 if entity @s[tag=!poise.break] run function ampsurv:boss/accursed-knight/poise/break
#hurt and poise
execute if entity @s[tag=hurt] if score @s agstatus > @s dfcd run function ampsurv:boss/accursed-knight/poise/damage
execute if entity @s[tag=hurt] run function ampsurv:boss/accursed-knight/hurt
#execute if entity @s[tag=hurt_variant] if score @s accd matches ..1 run function ampsurv:boss/accursed-knight/reset_hurt
execute if entity @s[tag=hurt] run bossbar set minecraft:bosshp14 color white
execute if entity @s[tag=hurt] run schedule function ampsurv:boss/accursed_knight/system/bossbar 3t

#loops
execute if entity @e[tag=aj.accursed_knight.animation.attack1,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/attack1/loop
execute if entity @e[tag=aj.accursed_knight.animation.attack2,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/attack2/loop
execute if entity @e[tag=aj.accursed_knight.animation.attack3,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/attack3/loop
execute if entity @e[tag=aj.accursed_knight.animation.attack4,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/attack4/loop
execute if entity @e[tag=aj.accursed_knight.animation.lunge,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/lunge/loop
execute if entity @e[tag=aj.accursed_knight.animation.dashback,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/dashback/loop
execute if entity @e[tag=aj.accursed_knight.animation.dash,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/dash/loop
execute if entity @e[tag=aj.accursed_knight.animation.rising,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/rising/loop
execute if entity @e[tag=aj.accursed_knight.animation.break,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/poise/loop
execute if entity @e[tag=aj.accursed_knight.animation.spawn,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/spawn-loop
execute if entity @e[tag=aj.accursed_knight.animation.stagger,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/stagger/loop
execute if entity @e[tag=aj.accursed_knight.animation.combo,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:boss/accursed-knight/attacks/combo/loop

#particles
particle smoke ~ ~1 ~ 0.3 0.5 0.3 0 3 normal
execute if entity @s[tag=pursuit] run particle scrape ~ ~1 ~ 0.3 0.5 0.3 0 3 normal

#retreat func
execute unless entity @a[tag=!dead,distance=..100] run function ampsurv:boss/accursed-knight/retreat-trig