# test
# execute as @e[tag=aj.gisella.root] at @s run function ampsurv:boss/gisella/human/attacks/cerulean-shards/trigger
# execute as @e[tag=aj.gisella.root] at @s run function ampsurv:boss/gisella/human/attacks/gisella-carapace/trigger
## ==================================================== HP DISPLAY BAR ======================================================
#display bar hp
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp23 value run scoreboard players get gisella boss.storage.gisella

execute as @e[tag=gisella,type=piglin,tag=hurt,limit=1,sort=nearest] run function ampsurv:boss/gisella/human/system/hurtbox/operation

#display bar shield
execute if entity @s[tag=!phase2] if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp24 value run scoreboard players get gisella boss.gisella.shield

#display white if shield up
execute if entity @s[tag=phase2] if score gisella boss.gisella.shield matches 2.. run bossbar set minecraft:bosshp23 color white
#reset display if shield is down
execute if entity @s[tag=phase2] if score gisella boss.gisella.shield matches ..1 run bossbar set minecraft:bosshp23 players

## ==================================================== MODEL MANAGER ======================================================
#hurt
execute if entity @e[tag=gisella_entity,type=piglin,tag=hurt] run bossbar set minecraft:bosshp23 color white
execute if entity @e[tag=gisella_entity,type=piglin,tag=hurt] if score gisella boss.gisella.shield matches ..1 run schedule function ampsurv:boss/gisella/human/system/hurtbox/bossbar 3t

#tp facing target
execute as @s[tag=!lock.rotation] at @s anchored eyes facing entity @e[tag=gisella_target,limit=1,sort=nearest] eyes positioned ^ ^ ^5 rotated as @s positioned ^ ^ ^20 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ 0

## ================================================== SCORES ADD AND RESETS ======================================================
# score add and score resets
scoreboard players add gisella boss.battle_tick 1
execute if entity @s[tag=!dying] if score gisella boss.battle_tick matches 500.. run scoreboard players set gisella boss.battle_tick 1
execute if score gisella boss.battle_tick matches 250 run tag @e remove gisella_target
execute if score gisella boss.battle_tick matches 499 run tag @e remove gisella_target

# boss.storage2 animation cooldown
execute if score gisella boss.storage2 matches 1.. run scoreboard players remove gisella boss.storage2 1
# boss.storage1 attack cooldown
execute if score gisella boss.storage1 matches 1.. run scoreboard players remove gisella boss.storage1 1

#music
execute if score gisella boss.gisella.music matches 1.. run scoreboard players remove gisella boss.gisella.music 1
execute if score gisella boss.gisella.music matches 0 run playsound minecraft:boss.winter.queen.theme.loop record @a[distance=..60] ~ ~ ~ 0.7 1 0.7
execute if score gisella boss.gisella.music matches 0 run scoreboard players set gisella boss.gisella.music 4200

execute as @e[tag=aj.gisella.root,tag=!gisella-carapace,tag=!aj.gisella.animation.gisella_carapace_loop,tag=!dying,tag=!aj.gisella.animation.idle,type=item_display] at @s if score gisella boss.storage2 matches ..1 run function animated_java:gisella/animations/idle/play

## ========================================== ATTACKING SCRIPTS ======================================================
#targetting system
execute as @e[tag=gisella_entity,type=piglin] at @s if score worldScore wtc_10 matches 9.. run function ampsurv:boss/gisella/human/system/targetting
execute as @e[tag=gisella_entity,type=piglin] at @s run scoreboard players set @s generic.base.res 2

# effect loops
execute as @s[tag=winter_queen_entrance_aura] at @s run function ampsurv:boss/gisella/human/attacks/winter-queen-entrance/effect-loop-self
execute if entity @s[tag=winter_queen_entrance_aura] as @e[type=#ally,distance=..70] at @s run function ampsurv:boss/gisella/human/attacks/winter-queen-entrance/effect-loop
execute if entity @s[tag=gisella-carapace] at @s run function ampsurv:boss/gisella/human/attacks/gisella-carapace/effect-loop
#summon fire moths
function ampsurv:boss/gisella/human/system/fiery-moths/effect-loop

# PRIORITIZED ATTACKS
execute if entity @s[tag=entrance_next] run function ampsurv:boss/gisella/human/attacks/winter-queen-entrance/wait
execute if entity @s[tag=teleport_center_next] run function ampsurv:boss/gisella/human/attacks/teleport/wait-center
execute if entity @s[tag=teleport_next] run function ampsurv:boss/gisella/human/attacks/teleport/wait
execute if entity @s[tag=carapace_next] run function ampsurv:boss/gisella/human/attacks/gisella-carapace/wait

# choose attack
execute as @e[tag=aj.gisella.root,type=item_display,tag=!dying,tag=!teleport_next,tag=!carapace_next,tag=!entrance_next] at @s if score gisella boss.storage2 matches ..1 if score gisella boss.storage1 matches ..1 if score gisella boss.battle_tick matches 1.. run function ampsurv:boss/gisella/human/attacks/phases/manager

#anim loops
execute if entity @s[tag=aj.gisella.animation.ice_dominion] run function ampsurv:boss/gisella/human/attacks/ice-dominion/loop
execute if entity @s[tag=aj.gisella.animation.cerulean_shards] run function ampsurv:boss/gisella/human/attacks/cerulean-shards/loop
execute if entity @s[tag=aj.gisella.animation.cerulean_spike] run function ampsurv:boss/gisella/human/attacks/cerulean-spike/loop
execute if entity @s[tag=aj.gisella.animation.frost_nova] run function ampsurv:boss/gisella/human/attacks/frost-nova/loop
execute if entity @s[tag=aj.gisella.animation.iceberg_fall] run function ampsurv:boss/gisella/human/attacks/iceberg-fall/loop
execute if entity @s[tag=aj.gisella.animation.gisella_carapace] run function ampsurv:boss/gisella/human/attacks/gisella-carapace/loop
execute if entity @s[tag=aj.gisella.animation.winter_queen_entrance] run function ampsurv:boss/gisella/human/attacks/winter-queen-entrance/loop
execute if entity @s[tag=aj.gisella.animation.cerulean_fissure] run function ampsurv:boss/gisella/human/attacks/cerulean-fissure/loop
execute if entity @s[tag=aj.gisella.animation.winterbloom_moth] run function ampsurv:boss/gisella/human/attacks/winterbloom-moth/loop

## ========================================== PHASES DETECT ======================================================
function ampsurv:boss/gisella/human/attacks/projectile_manager

# 75% hp, more attacks unlocked
execute if score worldScore wtc_20 matches 19.. as @e[tag=aj.gisella.root,type=item_display,tag=!phase1-1] at @s if score gisella boss.storage.gisella matches ..1500 run function ampsurv:boss/gisella/human/system/phases/1-1

#50% - gisella carapace starts
execute if score worldScore wtc_20 matches 19.. as @e[tag=aj.gisella.root,type=item_display,tag=!phase2] at @s if score gisella boss.storage.gisella matches ..1000 run function ampsurv:boss/gisella/human/system/phases/2

## ========================================== RETREAT ======================================================
# gisella human cannot be defeated. Will always transform to moth.
#retreat
execute unless entity @a[tag=!dead,distance=..100] run tag @s add retreating
#loop
execute as @e[tag=aj.gisella.root,type=item_display,tag=retreating,tag=!dying,tag=scened] run function ampsurv:boss/gisella/human/system/retreat
