# executed on gisella

#play loop anim
execute as @e[tag=aj.gisella.root,limit=1,sort=nearest,tag=aj.gisella.animation.idle] at @s run function animated_java:gisella/animations/idle/stop
execute as @e[tag=aj.gisella.root,limit=1,sort=nearest,tag=!aj.gisella.animation.gisella_carpace_loop,tag=!aj.gisella.animation.gisella_carpace] at @s run function animated_java:gisella/animations/gisella_carpace_loop/play

#scening for some scores
scoreboard players set @s[tag=!sc.set.gis.carp] acokhopesh_cd 160
tag @s add sc.set.gis.carp

#restore 40 HP per sec to gisella
execute if score gisella boss.storage.gisella matches ..1998 run scoreboard players add gisella boss.storage.gisella 2

scoreboard players remove @s[tag=sc.set.gis.carp] acokhopesh_cd 1
scoreboard players set @s[tag=sc.set.gis.carp,scores={acokhopesh_cd=..0}] acokhopesh_cd 160

#match shield hp w scoreboard
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp24 value run scoreboard players get gisella boss.gisella.shield

#spikes every interval on surrounding areas, and nearby targets
execute if score @s acokhopesh_cd matches 2 at @e[type=#ally,distance=..25] align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_fissure"],Duration:100}
# circular pattern
execute if score @s acokhopesh_cd matches 2 positioned ~10 ~ ~ align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~-10 ~ ~ align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~ ~ ~10 align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~ ~ ~-10 align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~7.1 ~ ~7.1 align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~-7.1 ~ ~7.1 align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~-7.1 ~ ~-7.1 align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}
execute if score @s acokhopesh_cd matches 2 positioned ~7.1 ~ ~-7.1 align y run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_spike"],Duration:100}

#ice shards every interval
execute if score worldScore wtc_2 matches 1 if score @s acokhopesh_cd matches 60..70 as @s at @s positioned ~ ~15 ~ run summon area_effect_cloud ~ ~ ~ {Tags:["gisella_cerulean_shard","from-carapace"],Duration:80}

#iceberg
execute if score @s acokhopesh_cd matches 119 as @e[type=#ally,limit=1,sort=random,distance=..60] at @s run summon armor_stand ~ ~10 ~ {Tags:["gisella_iceberg_proj"],Invisible:1b,Invulnerable:1b,Marker:1b,ArmorItems:[{},{},{},{id:"minecraft:diamond_sword",tag:{CustomModelData:8},Count:1b}]}
execute if score @s acokhopesh_cd matches 118 as @e[type=#ally,limit=1,sort=random,distance=..60] at @s run summon armor_stand ~ ~10 ~ {Tags:["gisella_iceberg_proj"],Invisible:1b,Invulnerable:1b,Marker:1b,ArmorItems:[{},{},{},{id:"minecraft:diamond_sword",tag:{CustomModelData:8},Count:1b}]}

#summon frostfruits falling over 2 random allies
execute if score @s acokhopesh_cd matches 40 as @e[type=#ally,limit=2,sort=random,distance=..60] at @s run summon armor_stand ~ ~20 ~ {Tags:["gisella_frostfruit"],Marker:1b,NoGravity:1b,Invulnerable:1b,Invisible:1b,ArmorItems:[{},{},{},{id:"minecraft:netherite_shovel",Count:1b,tag:{CustomModelData:15}}]}

# detect destruction
execute if score gisella boss.gisella.shield matches ..0 run function ampsurv:boss/gisella/human/attacks/gisella-carapace/destroy

# cocoon particles
execute as @e[tag=gisella_carapace_locator_base] at @s run particle snowflake ~ ~1 ~ 2 2 2 0 1 force
execute as @e[tag=gisella_carapace_locator_base] at @s run particle dust 0 0.5 0.8 1 ~ ~1 ~ 2 2 2 1 1 force
execute as @e[tag=gisella_carapace_locator_base] at @s run particle dust 0 0.8 0.8 1 ~ ~1 ~ 2 2 2 1 1 force
execute as @e[tag=gisella_carapace_locator_base] at @s run particle item diamond ~ ~1 ~ 2 2 2 0.1 1 force
execute as @e[tag=gisella_carapace_locator_base] at @s run particle instant_effect ~ ~1 ~ 2 2 2 0.1 1 force

execute as @e[tag=gisella_carapace_locator_tip] at @s run particle snowflake ~ ~1 ~ 0 0 0 0.01 1 force
execute as @e[tag=gisella_carapace_locator_base] at @s run particle electric_spark ~ ~1 ~ 2 2 2 0 1 force
