# test
# execute as @e[tag=aj.gisella_moth.root] at @s run function ampsurv:boss/gisella/moth/attacks/cerulean-shards/trigger

# ======================================
# GISELLA MOTH FORM (SECOND FORM) AI tick func
# appears after Gisella Carapace of the human form is destroyed.
# ======================================

## ==================================================== HP DISPLAY BAR ======================================================
#display bar hp
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp23 value run scoreboard players get gisella boss.storage.gisella

execute as @e[tag=gisella-moth,type=slime,tag=hurt,limit=1,sort=nearest] run function ampsurv:boss/gisella/moth/system/hurtbox/operation

#display bar shield
execute if entity @s[tag=blizzard-dance] if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp24 value run scoreboard players get gisella boss.gisella.shield
execute if entity @s[tag=blizzard-dance] if score worldScore wtc_4 matches 3.. run bossbar set bosshp24 players @a[distance=..100]

#display white if shield up
execute if entity @s[tag=blizzard-dance] if score gisella boss.gisella.shield matches 2.. run bossbar set minecraft:bosshp23 color white
#reset display if shield is down
execute if entity @s[tag=blizzard-dance] if score gisella boss.gisella.shield matches ..1 run bossbar set minecraft:bosshp23 players

#hitboxes
function ampsurv:boss/gisella/moth/system/hurtbox/tp

## ==================================================== MODEL MANAGER ======================================================
#hurt
execute if entity @e[tag=gisella_moth_entity,type=slime,tag=hurt] run bossbar set minecraft:bosshp23 color white
execute if entity @e[tag=gisella_moth_entity,type=slime,tag=hurt] if score gisella boss.gisella.shield matches ..1 run schedule function ampsurv:boss/gisella/moth/system/hurtbox/bossbar 3t

#tp facing target
execute as @s[tag=!lock.rotation] at @s anchored eyes facing entity @e[tag=gisella_target,limit=1,sort=nearest] eyes positioned ^ ^ ^5 rotated as @s positioned ^ ^ ^20 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ 0

## ================================================== SCORES ADD AND RESETS ======================================================
# score add and score resets
scoreboard players add gisella boss.battle_tick 1
execute if entity @s[tag=!dying] if score gisella boss.battle_tick matches 500.. run scoreboard players set gisella boss.battle_tick 1
execute if score gisella boss.battle_tick matches 250 run tag @e remove gisella_target
execute if score gisella boss.battle_tick matches 499 run tag @e remove gisella_target

# boss.storage2 animation cooldown
execute if score gisella boss.storage2 matches 1.. run scoreboard players remove gisella boss.storage2 1
# boss.storage1 attack cooldown
execute if score gisella boss.storage1 matches 1.. run scoreboard players remove gisella boss.storage1 1

#music
execute if score gisella boss.gisella.music matches 1.. run scoreboard players remove gisella boss.gisella.music 1
execute if score gisella boss.gisella.music matches 0 run playsound minecraft:boss.winter.queen.theme.loop record @a[distance=..60] ~ ~ ~ 0.7 1 0.7
execute if score gisella boss.gisella.music matches 0 run scoreboard players set gisella boss.gisella.music 4200

execute as @e[tag=aj.gisella_moth.root,tag=!dying,tag=!aj.gisella_moth.animation.idle_battle,type=item_display] at @s if score gisella boss.storage2 matches ..1 run function animated_java:gisella_moth/animations/idle_battle/play

## ========================================== ATTACKING SCRIPTS ======================================================
#targetting system
execute as @e[tag=gisella_moth_entity,type=slime] at @s if score worldScore wtc_10 matches 9.. run function ampsurv:boss/gisella/moth/system/targetting
execute as @e[tag=gisella_moth_entity,type=slime] at @s run scoreboard players set @s generic.base.res 2

# attack randomizer (using gisella human randomizer)
#execute if score worldScore wtc_10 matches 9.. if score gisella ally.anim_tick matches ..5 run scoreboard players add gisella ally.anim_tick 1
#execute if score worldScore wtc_10 matches 9.. if score gisella ally.anim_tick matches 5.. run scoreboard players set gisella ally.anim_tick 0

# effect loops
function ampsurv:boss/gisella/human/system/fiery-moths/effect-loop
execute if entity @s[tag=blizzard-dance] run function ampsurv:boss/gisella/moth/attacks/blizzard/loop

# PRIORITIZED ATTACK WAITS 
execute if entity @s[tag=ignition_next] run function ampsurv:boss/gisella/moth/attacks/cerulean-ignition/wait
execute if entity @s[tag=fly_next] run function ampsurv:boss/gisella/moth/attacks/fly/wait
execute if entity @s[tag=fly_center_next] run function ampsurv:boss/gisella/moth/attacks/fly/wait-center
execute if entity @s[tag=fly_toplayer_next] run function ampsurv:boss/gisella/moth/attacks/fly/wait-toplayer
execute if entity @s[tag=teleport_next] run function ampsurv:boss/gisella/moth/attacks/teleport/wait
execute if entity @s[tag=teleport_center_next] run function ampsurv:boss/gisella/moth/attacks/teleport/wait-center
execute if entity @s[tag=frost_blast_next] run function ampsurv:boss/gisella/moth/attacks/frost-blast/wait
execute if entity @s[tag=advent_next] run function ampsurv:boss/gisella/moth/attacks/frost-queen-advent/wait
execute if entity @s[tag=blizzard_next] run function ampsurv:boss/gisella/moth/attacks/blizzard/wait

# choose attack
execute as @e[tag=aj.gisella_moth.root,type=item_display,tag=!dying,tag=!fly_next,tag=!advent_next,tag=!frost_blast_next,tag=!blizzard_next,tag=!ignition_next] at @s if score gisella boss.storage2 matches ..1 if score gisella boss.storage1 matches ..1 if score gisella boss.battle_tick matches 1.. run function ampsurv:boss/gisella/moth/attacks/phases/manager

#animation loops
execute if entity @s[tag=aj.gisella_moth.animation.cerulean_fissure] run function ampsurv:boss/gisella/moth/attacks/cerulean-fissure/loop
execute if entity @s[tag=aj.gisella_moth.animation.cerulean_fissures] run function ampsurv:boss/gisella/moth/attacks/cerulean-fissures/loop
execute if entity @s[tag=aj.gisella_moth.animation.frost_blast] run function ampsurv:boss/gisella/moth/attacks/frost-blast/loop
execute if entity @s[tag=aj.gisella_moth.animation.cerulean_ignition] run function ampsurv:boss/gisella/moth/attacks/cerulean-ignition/loop
execute if entity @s[tag=aj.gisella_moth.animation.winterbloom_moths] run function ampsurv:boss/gisella/moth/attacks/winterbloom-moths/loop
execute if entity @s[tag=aj.gisella_moth.animation.crystal_frost] run function ampsurv:boss/gisella/moth/attacks/frost-nova/loop
execute if entity @s[tag=aj.gisella_moth.animation.frozen_spires] run function ampsurv:boss/gisella/moth/attacks/frozen-spires/loop
execute if entity @s[tag=aj.gisella_moth.animation.fly_start] run function ampsurv:boss/gisella/moth/attacks/fly/loop
execute if entity @s[tag=aj.gisella_moth.animation.frostbite_fruits] run function ampsurv:boss/gisella/moth/attacks/frostbite-fruits/loop
execute if entity @s[tag=aj.gisella_moth.animation.iceberg_fall] run function ampsurv:boss/gisella/moth/attacks/iceberg-fall/loop
execute if entity @s[tag=aj.gisella_moth.animation.frost_queen_advent] run function ampsurv:boss/gisella/moth/attacks/frost-queen-advent/loop
execute if entity @s[tag=aj.gisella_moth.animation.frozen_spires_x] run function ampsurv:boss/gisella/moth/attacks/rimecreatures/loop

## ========================================== PHASES DETECT ======================================================
function ampsurv:boss/gisella/moth/attacks/projectile_manager

# 75% - Frost Queen Advent
execute if score worldScore wtc_20 matches 19.. as @e[tag=aj.gisella_moth.root,type=item_display,tag=!phase..2] if score gisella boss.storage.gisella matches ..1500 run function ampsurv:boss/gisella/moth/system/phases/2

# 50% - FURY OF THE NORTH
execute if score worldScore wtc_20 matches 19.. as @e[tag=aj.gisella_moth.root,type=item_display,tag=!phase..3,tag=!advent_next] if score gisella boss.storage.gisella matches ..1000 run function ampsurv:boss/gisella/moth/system/phases/3

## ========================================== DEFEAT AND RETREAT ======================================================
# check
execute as @e[tag=aj.gisella_moth.root,type=item_display,tag=!dying,tag=scened,tag=!retreating] at @s if score gisella boss.storage.gisella matches ..1 run function ampsurv:boss/gisella/moth/system/defeat-trig
#loop
execute as @e[tag=aj.gisella_moth.root,type=item_display,tag=dying,tag=scened,tag=!retreating] at @s run function ampsurv:boss/gisella/moth/system/defeat

#retreat
execute unless entity @a[tag=!dead,distance=..100] run tag @s add retreating
#loop
execute as @e[tag=aj.gisella_moth.root,type=item_display,tag=retreating,tag=!dying,tag=scened] run function ampsurv:boss/gisella/moth/system/retreat
