# gisella_frozen_spire

# aacd = lifetime // agcd = interval time
scoreboard players set @s[tag=!fs.gs.set] aacd 0
scoreboard players set @s[tag=!fs.gs.set] agcd 0
execute if entity @s[tag=!fs.gs.set] run particle flash ~ ~ ~ 0.5 1 0.5 0.1 3 normal
execute if entity @s[tag=!fs.gs.set] run playsound boss.winter.queen.sfx.spire hostile @a[distance=..100] ~ ~ ~ 0.5 1 0.1
tag @s[tag=!fs.gs.set] add fs.gs.set


scoreboard players add @s[tag=fs.gs.set] aacd 1
scoreboard players add @s[tag=fs.gs.set] agcd 1

scoreboard players set @s[tag=fs.gs.set,scores={agcd=80..}] agcd 0

#base particles
particle instant_effect ~ ~ ~ 0.5 1 0.5 1 1 normal
particle snowflake ~ ~ ~ 0.5 1 0.5 0.1 1 normal


# gradually going up before plunging down.
execute if score @s aacd matches ..30 run tp @s ~ ~0.1 ~

# plunging down towards a target
execute if score @s aacd matches 30.. if block ~ ~-0.5 ~ #proj_pass run tp @s ^ ^-1 ^

# landing / interval
execute if entity @s[tag=!landed] if score @s aacd matches 30.. unless block ~ ~-0.5 ~ #proj_pass run function ampsurv:boss/gisella/moth/attacks/frozen-spires/interval

execute if entity @s[tag=landed] if score @s agcd matches 79 run function ampsurv:boss/gisella/moth/attacks/frozen-spires/interval

execute if entity @s[tag=landed] if score @s aacd matches 320 run function ampsurv:boss/gisella/moth/attacks/frozen-spires/interval

#spawn
execute if entity @s[tag=landed] if score @s aacd matches 320 run summon zombie ~ ~3 ~ {CustomName:'[{"text":"Lv1.","color":"aqua","bold":true},{"text":"Rimeknight","bold":false,"color":"dark_purple"},{"text":" ","bold":false,"color":"dark_purple"},{"text":"","bold":false,"color":"red"}]',DeathLootTable:"ampsurv:entities/rimeknight",Tags:["rimeknight_Entity"],Health:60,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999999,Amplifier:2,ShowParticles:0b}],HandItems:[{id:snowball,Count:1},{id:snowball,Count:1}],HandDropChances:[0.00f,0.00f],ArmorItems:[{id:snowball,Count:1},{id:snowball,Count:1},{id:snowball,Count:1},{id:snowball,Count:1}],ArmorDropChances:[0.00f,0.00f,0.00f,0.00f],Attributes:[{Name:"generic.armor",Base:10f},{Name:"generic.armor_toughness",Base:5f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.attack_speed",Base:0f},{Name:"generic.max_health",Base:60f}]}

execute if entity @s[tag=landed] if score @s aacd matches 321.. run kill @s