
execute if score machinegod boss.storage2 matches ..190 as @e[tag=machinegod_base] run tp @s ~ ~ ~ facing entity @e[tag=machinegod_target,limit=1,sort=nearest]

execute if score machinegod boss.storage2 matches 60..190 as @e[tag=machinegod_locator_palm] at @s run particle witch ~ ~ ~ 1 1 1 0 10 force
execute if score machinegod boss.storage2 matches 60..190 as @e[tag=machinegod_locator_palm] at @s run particle end_rod ~ ~ ~ 1 1 1 0.3 3 force

execute if score machinegod boss.storage2 matches 60..190 as @e[tag=machinegod_locator_sigil] at @s run playsound minecraft:entity.elder_guardian.ambient hostile @a[distance=..100] ~ ~ ~ 1 0 1
execute if score machinegod boss.storage2 matches 60 as @e[tag=machinegod_locator_sigil] at @s run playsound minecraft:block.end_portal.spawn hostile @a[distance=..100] ~ ~ ~ 1 1 1

# dialogue
execute if score machinegod boss.storage2 matches 1 run function ampsurv:boss/machinegod/anim-reset

#
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_left_hand] at @s positioned ~13 ~-10 ~-13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["fire","machinegod_elemental_force_anim","machinegod_elemental_force_proj"]}
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_left_hand] at @s positioned ~-13 ~-10 ~13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["arcane","machinegod_elemental_force_anim","machinegod_elemental_force_proj"]}
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_left_hand] at @s positioned ~-13 ~10 ~-13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["ice","machinegod_elemental_force_anim","machinegod_elemental_force_proj","playerchaser"]}
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_left_hand] at @s positioned ~13 ~10 ~13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["dark","machinegod_elemental_force_anim","machinegod_elemental_force_proj","playerchaser"]}

execute as @e[tag=machinegod_elemental_force_anim,tag=!launch] at @s run tp @s ^1 ^ ^0.4 facing entity @e[tag=machinegod_locator_left_hand,limit=1,sort=nearest]
execute as @e[tag=machinegod_elemental_force_anim] at @s if entity @e[tag=machinegod_locator_left_hand,distance=..2] run kill @s

execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_right_hand] at @s positioned ~13 ~-10 ~-13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["archaic","machinegod_elemental_force_anim_2","machinegod_elemental_force_proj"]}
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_right_hand] at @s positioned ~-13 ~-10 ~13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["ice","machinegod_elemental_force_anim_2","machinegod_elemental_force_proj","playerchaser"]}
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_right_hand] at @s positioned ~-13 ~10 ~-13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["fire","machinegod_elemental_force_anim_2","machinegod_elemental_force_proj"]}
execute if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator_right_hand] at @s positioned ~13 ~10 ~13 run summon area_effect_cloud ~ ~ ~ {Duration:200,Tags:["wind","machinegod_elemental_force_anim_2","machinegod_elemental_force_proj","playerchaser"]}

execute as @e[tag=machinegod_elemental_force_anim_2,tag=!launch] at @s run tp @s ^-1 ^ ^0.4 facing entity @e[tag=machinegod_locator_right_hand,limit=1,sort=nearest]
execute as @e[tag=machinegod_elemental_force_anim_2] at @s if entity @e[tag=machinegod_locator_right_hand,distance=..2] run kill @s

#launch
execute if score machinegod boss.storage2 matches 100 run tag @e[tag=machinegod_elemental_force_proj] add launch
execute if score machinegod boss.storage2 matches 50 run tag @e[tag=machinegod_elemental_force_proj] add launch
execute if score machinegod boss.storage2 matches 10 run tag @e[tag=machinegod_elemental_force_proj] add launch

#blasts
execute if score machinegod boss.storage2 matches 180 as @e[tag=machinegod_base] at @s run summon area_effect_cloud ^ ^1 ^ {Duration:100,Tags:["disruption-pulse-totem"]}
execute if score machinegod boss.storage2 matches 165 run tag @e[tag=machinegod_dpulse_proj] add launch
execute if score machinegod boss.storage2 matches 165 run tag @e[tag=disruption-pulse-totem] add launch

execute if score machinegod boss.storage2 matches 79 as @e[tag=machinegod_base] at @s run summon area_effect_cloud ^ ^1 ^ {Duration:40,Tags:["disruption-pulse-totem"]}
execute if score machinegod boss.storage2 matches 50 run tag @e[tag=machinegod_dpulse_proj] add launch
execute if score machinegod boss.storage2 matches 50 run tag @e[tag=disruption-pulse-totem] add launch

execute if score machinegod boss.storage2 matches 40 as @e[tag=machinegod_base] at @s run summon area_effect_cloud ^ ^1 ^ {Duration:200,Tags:["disruption-pulse-totem"]}
execute if score machinegod boss.storage2 matches 10 run tag @e[tag=machinegod_dpulse_proj] add launch
execute if score machinegod boss.storage2 matches 10 run tag @e[tag=disruption-pulse-totem] add launch

## exploding hands lol
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm] run particle flash ~ ~ ~ 0 0 0 1 1 force
#each palm  is different element:
#left_palm = terra(high phy damage) , palm3 = fire(weakness 9) , palm4=ice(Slow), palm5 = arcane(manablight), palm6 = dark(blind)
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_left_palm] run particle totem_of_undying ~ ~ ~ 0 0 0 0.5 10 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_right_palm] run particle instant_effect ~ ~ ~ 1 1 1 1 10 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm3] run particle flame ~ ~ ~ 0 0 0 0.3 10 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm4] run particle snowflake ~ ~ ~ 0 0 0 0.5 10 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm5] run particle dragon_breath ~ ~ ~ 0 0 0 0.3 10 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm6] run particle large_smoke ~ ~ ~ 0 0 0 0.5 10 force

execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_left_palm] run particle minecraft:flash ~ ~ ~ 0 0 0 0.5 1 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_right_palm] run particle flash ~ ~ ~ 0 0 0 1 1 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm3] run particle flash ~ ~ ~ 0 0 0 0.3 1 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm4] run particle flash ~ ~ ~ 0 0 0 0.5 1 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm5] run particle flash ~ ~ ~ 0 0 0 0.3 1 force
execute if score machinegod boss.storage2 matches 45..55 at @e[tag=machinegod_locator_palm6] run particle flash ~ ~ ~ 0 0 0 0.5 1 force

##glowy hands lol
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_hand] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_indexf] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_middlef] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_ringf] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_thumb] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_pinkie] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lif_2] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lif_3] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lp_1] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lp_2] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lrf_1] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lrf_2] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lmf_1] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lmf_2] run function ampsurv:boss/machinegod/system/glows/glow_brown

execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_hand] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_indexf] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_middlef] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_ringf] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_thumb] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_pinkie] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lif_4] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lp_3] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lp_4] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lrf_3] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lrf_4] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lmf_3] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lmf_4] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lif_5] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.lif_6] run function ampsurv:boss/machinegod/system/glows/glow_white

execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.left_lower_arm] run function ampsurv:boss/machinegod/system/glows/glow_brown
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.right_lower_arm] run function ampsurv:boss/machinegod/system/glows/glow_white
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.hand3] run function ampsurv:boss/machinegod/system/glows/glow_orange
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.hand4] run function ampsurv:boss/machinegod/system/glows/glow_light_blue
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.hand5] run function ampsurv:boss/machinegod/system/glows/glow_magenta
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.hand6] run function ampsurv:boss/machinegod/system/glows/glow_black
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.arm3] run function ampsurv:boss/machinegod/system/glows/glow_orange
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.arm4] run function ampsurv:boss/machinegod/system/glows/glow_light_blue
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.arm5] run function ampsurv:boss/machinegod/system/glows/glow_magenta
execute if score machinegod boss.storage2 matches 140 as @e[tag=aj.machinegod.bone.arm6] run function ampsurv:boss/machinegod/system/glows/glow_black

## NOTES
# total 140 ticks
# fist bump on 165
# charge hand on 60..150 -> USE SEPARATE MODEL?
# explosion on 50