#tag scene
scoreboard players set @s[tag=!aligned,tag=launch] aacd 100
tp @s[tag=!aligned,tag=launch] ~ ~ ~ facing entity @e[tag=machinegod_locator,limit=1,sort=nearest]
tag @s[tag=!aligned,tag=launch] add aligned
scoreboard players remove @s[tag=aligned,tag=launch] aacd 1

tp @s[tag=launch] ^ ^ ^0.8

#follow plyers
execute as @s[tag=launch,tag=playerchaser] at @s anchored eyes facing entity @e[type=#ally,distance=10..60,limit=1,sort=nearest] eyes positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^10 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ^ ^ ^ ~ ~

#particle firework ~ ~ ~ 0.2 0.2 0.2 0 1 normal

execute if entity @s[tag=fire] run particle flame ~ ~ ~ 0.2 0.2 0.2 0 1 force
execute if entity @s[tag=ice] run particle snowflake ~ ~ ~ 0.2 0.2 0.2 0 1 force
execute if entity @s[tag=dark] run particle large_smoke ~ ~ ~ 0.2 0.2 0.2 0 1 force
execute if entity @s[tag=arcane] run particle witch ~ ~ ~ 0.2 0.2 0.2 0 3 force
execute if entity @s[tag=archaic] run particle totem_of_undying ~ ~ ~ 0.2 0.2 0.2 0 3 force
execute if entity @s[tag=wind] run particle instant_effect ~ ~ ~ 0.2 0.2 0.2 0 3 force

execute if entity @s[tag=fire] run particle dust 0.996 0.384 0.004 1.5 ~ ~ ~ 0.2 0.2 0.2 0 2 force
execute if entity @s[tag=ice] run particle dust 0.745 0.914 0.894 1.5 ~ ~ ~ 0.2 0.2 0.2 0 2 force
execute if entity @s[tag=dark] run particle dust 0.153 0.145 0.169 1.5 ~ ~ ~ 0.2 0.2 0.2 0 2 force
execute if entity @s[tag=arcane] run particle dust 0.651 0 1 1.5 ~ ~ ~ 0.2 0.2 0.2 0 2 force
execute if entity @s[tag=archaic] run particle dust 0.518 0.29 0.016 1.5 ~ ~ ~ 0.2 0.2 0.2 0 2 force
execute if entity @s[tag=wind] run particle dust 0.659 0.969 0.525 1.5 ~ ~ ~ 0.2 0.2 0.2 0 2 force

#sounds
execute if entity @s[tag=launch] run playsound entity.guardian.hurt hostile @a[distance=..10] ~ ~ ~ 0.3 0 0
execute if entity @s[tag=launch] run playsound block.amethyst_block.chime hostile @a[distance=..10] ~ ~ ~ 0.3 0 0

#expl
execute if score @s aacd matches ..1 run tag @s add explode
execute if entity @e[type=#ally,distance=..1.5] run tag @s add explode
execute unless block ~ ~ ~ #proj_pass run tag @s add explode

#land
execute unless block ~ ~ ~ #proj_pass run tag @s add explode
execute if entity @e[type=#ally,distance=..2] run tag @s add explode
execute if entity @s[tag=explode] run playsound entity.elder_guardian.hurt hostile @a[distance=..15] ~ ~ ~ 1 2 0
execute if entity @s[tag=explode] run playsound entity.zombie_villager.cure hostile @a[distance=..15] ~ ~ ~ 0.3 2 0
execute if entity @s[tag=explode] as @e[type=#ally,distance=..3.5] at @s run damage @s 7 indirect_magic by @e[tag=machinegod_base,limit=1,sort=nearest]
execute if entity @s[tag=explode] as @e[type=#ally,distance=..3.5] at @s run effect give @e[type=#ally,distance=..2] weakness 3 4
execute if entity @s[tag=explode] as @e[type=#ally,distance=..3.5] at @s run effect give @e[type=#ally,distance=..2] slowness 3 1
execute if entity @s[tag=explode] as @e[type=#ally,distance=..3.5] at @s run effect give @e[type=#ally,distance=..2] wither 3 1
execute if entity @s[tag=explode] as @e[type=#ally,distance=..3.5] at @s run scoreboard players set @e[type=#ally,distance=..2] generic.silence.duration 40
execute if entity @s[tag=explode] run particle explosion ~ ~ ~ 0 0 0 0 1 normal
execute if entity @s[tag=explode] run kill @s
