# test
# execute as @e[tag=aj.machinegod.root] at @s run function ampsurv:boss/machinegod/attacks/godform/god-palm/trigger
# execute as @e[tag=aj.machinegod.root] at @s run function ampsurv:boss/machinegod/attacks/veiledform/arcane-walls/trigger
#

## ==================================================== HP DISPLAY BAR ======================================================
#hp
execute as @e[tag=machinegod_hitbox,type=slime,tag=hurt,limit=1,sort=nearest] run function ampsurv:boss/machinegod/system/hurtbox/operation

#display bar
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp19 value run scoreboard players get machinegod boss.storage.machinegod
#display bar
execute if score worldScore wtc_4 matches 3.. store result bossbar minecraft:bosshp20 value run scoreboard players get machinegod boss.machinegod.shield
#display white if shield up
execute if score machinegod boss.machinegod.shield matches 1.. run bossbar set minecraft:bosshp19 color white
#reset display if shield is down


#hitboxes
function ampsurv:boss/machinegod/system/hurtbox/tp

## ==================================================== MODEL MANAGER ======================================================
# idle anim manager
execute if score machinegod boss.machinegod.phase matches 2.. if score machinegod boss.storage2 matches ..1 if entity @e[tag=aj.machinegod.root,tag=!attack,tag=!dying,tag=!aj.machinegod.animation.idle] as @s at @s run function animated_java:machinegod/animations/idle/tween_play
#vf
execute if score machinegod boss.machinegod.phase matches 1 if score machinegod boss.storage2 matches ..1 if entity @e[tag=aj.machinegod.root,tag=!attack,tag=!dying,tag=!aj.machinegod.animation.vf_idle] as @s at @s run function animated_java:machinegod/animations/vf_idle/tween_play
#stops
execute if score machinegod boss.machinegod.phase matches 1 as @e[tag=aj.machinegod.root,tag=attack,tag=!dying,tag=aj.machinegod.animation.idle] as @s at @s run function animated_java:machinegod/animations/idle/stop
execute if score machinegod boss.machinegod.phase matches 2.. as @e[tag=aj.machinegod.root,tag=attack,tag=!dying,tag=aj.machinegod.animation.vf_idle] as @s at @s run function animated_java:machinegod/animations/vf_idle/stop
# tp model to entity
# facing
execute as @e[tag=machinegod_base,type=armor_stand] at @s run tp @e[tag=aj.machinegod.root,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=machinegod_base,type=armor_stand,tag=!lock.rotation] at @s run tp @s ~ ~ ~ facing entity @e[tag=machinegod_target,limit=1,sort=nearest]
execute as @s[tag=!poise.break] at @s anchored eyes rotated as @e[tag=machinegod_base,type=armor_stand] positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^10 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ 0
execute as @e[tag=machinegod_base,type=armor_stand] at @s run effect clear @s glowing

## ================================================== SCORES ADD AND RESETS ======================================================
scoreboard players add machinegod boss.battle_tick 1
execute if entity @e[tag=machinegod_entity,type=slime,distance=..100] if entity @s[tag=!dying] if score machinegod boss.battle_tick matches 500.. run scoreboard players set machinegod boss.battle_tick 1
execute if score machinegod boss.battle_tick matches 250 run tag @e remove machinegod_target
execute if score machinegod boss.battle_tick matches 499 run tag @e remove machinegod_target

# hurt
execute if entity @e[tag=machinegod_hitbox,tag=hurt,type=slime] run playsound minecraft:entity.iron_golem.hurt ambient @a[distance=..100] ~ ~ ~ 1 0 0.1
execute if entity @e[tag=machinegod_hitbox,tag=hurt,type=slime] run bossbar set minecraft:bosshp19 color white
execute if entity @e[tag=machinegod_hitbox,tag=hurt,type=slime] run bossbar set minecraft:bosshp20 color white
execute if entity @e[tag=machinegod_hitbox,tag=hurt,type=slime] run schedule function ampsurv:boss/machinegod/system/hurtbox/bossbar 3t

# boss.storage2 animation cooldown
execute if score machinegod boss.storage2 matches 1.. run scoreboard players remove machinegod boss.storage2 1
# boss.storage1 attack cooldown
execute if score machinegod boss.storage1 matches 1.. run scoreboard players remove machinegod boss.storage1 1

#music
execute if score machinegod boss.machinegod.music matches 1.. run scoreboard players remove machinegod boss.machinegod.music 1
#phase 1
execute if score machinegod boss.machinegod.music matches 0 if score machinegod boss.machinegod.phase matches 1 run playsound minecraft:boss.machinegod.veiledform.theme record @a[distance=..100] ~ ~ ~ 1 1 1
#phase 2
execute if score machinegod boss.machinegod.music matches 0 if score machinegod boss.machinegod.phase matches 2.. run playsound minecraft:boss.machinegod.godform.theme record @a[distance=..100] ~ ~ ~ 1 1 1
execute if score machinegod boss.machinegod.music matches 0 if score machinegod boss.machinegod.phase matches 1 run scoreboard players set machinegod boss.machinegod.music 2540
execute if score machinegod boss.machinegod.music matches 0 if score machinegod boss.machinegod.phase matches 2.. run scoreboard players set machinegod boss.machinegod.music 2520

#targetting system
execute as @e[tag=machinegod_entity,type=slime] at @s if score worldScore wtc_10 matches 9.. run function ampsurv:boss/machinegod/system/targetting

## ========================================== ATTACKING SCRIPTS ======================================================
# PRIORITIZED ATTACKS
execute if entity @s[tag=meta_next] run function ampsurv:boss/machinegod/attacks/veiledform/metamorphosis/wait
execute if entity @s[tag=eye_next] run function ampsurv:boss/machinegod/attacks/godform/eye-of-providence/wait
execute if entity @s[tag=falls_next] run function ampsurv:boss/machinegod/attacks/godform/gravity-falls/wait
execute if entity @s[tag=fragments_next] run function ampsurv:boss/machinegod/attacks/godform/fragments/wait
execute if entity @s[tag=elemental_force_next] run function ampsurv:boss/machinegod/attacks/godform/elemental-force/wait
execute if entity @s[tag=last_sky_next] run function ampsurv:boss/machinegod/attacks/godform/last-sky/wait
execute if entity @s[tag=pillars_next] run function ampsurv:boss/machinegod/attacks/veiledform/pillars/wait

# attack randomizer score
execute if score worldScore wtc_2 matches 1.. if score machinegod ally.anim_tick matches ..15 run scoreboard players add machinegod ally.anim_tick 1
execute if score worldScore wtc_2 matches 1.. if score machinegod ally.anim_tick matches 15.. run scoreboard players set machinegod ally.anim_tick 0

# attack scores
execute if score machinegod boss.battle_tick matches 1.. if score machinegod boss.storage1 matches ..0 run tag @s remove attack
execute if score machinegod boss.battle_tick matches 1.. if score machinegod boss.storage1 matches ..0 run tag @e[tag=machinegod_base] remove lock.rotation
 
# choose attack
execute if score machinegod boss.storage1 matches ..0 if score machinegod boss.storage2 matches ..0 as @s[tag=aj.machinegod.root,type=item_display,tag=!attack,tag=!dying,tag=!meta_next,tag=!fragments_next,tag=!falls_next,tag=!eye_next,tag=!elemental_force_next,tag=!pillars_next] at @s run function ampsurv:boss/machinegod/system/phases/attackphases/manager

## ====================================================== EFFECT LOOPS ======================================================
function ampsurv:boss/machinegod/attacks/projectile/manager
execute if score worldScore wtc_20 matches 19.. as @e[tag=aj.machinegod.root,tag=eye_of_providence] at @s run function ampsurv:boss/machinegod/attacks/godform/eye-of-providence/effect-loop
execute as @e[tag=aj.machinegod.root,tag=eye_of_providence] at @s run function ampsurv:boss/machinegod/attacks/godform/eye-of-providence/modeloop
execute as @e[tag=aj.machinegod.root,tag=elemental_force] at @s run function ampsurv:boss/machinegod/attacks/godform/elemental-force/modeloop
execute if score worldScore wtc_20 matches 19.. as @e[tag=aj.machinegod.root] at @s if entity @e[tag=aj.machinegod_fragments.root,tag=!dying] run function ampsurv:boss/machinegod/attacks/godform/fragments/effect-loop
#execute as @e[tag=aj.machinegod.root] at @s if score machinegod boss.machinegod.shield matches 1.. run function ampsurv:boss/machinegod/attacks/veiledform/pillars/shield-loop

## ======================================================= ANIM LOOPS ======================================================
execute if entity @s[tag=aj.machinegod.animation.vf_arcane_pillars] run function ampsurv:boss/machinegod/attacks/veiledform/pillars/anim-loop
execute if entity @s[tag=aj.machinegod.animation.vf_arcane_walls] run function ampsurv:boss/machinegod/attacks/veiledform/arcane-walls/loop
execute if entity @s[tag=aj.machinegod.animation.vf_arcane_orbs] run function ampsurv:boss/machinegod/attacks/veiledform/arcane-orbs/loop
execute if entity @s[tag=aj.machinegod.animation.vf_arcane_missiles] run function ampsurv:boss/machinegod/attacks/veiledform/arcane-missiles/loop
execute if entity @s[tag=aj.machinegod.animation.metamorphosis] run function ampsurv:boss/machinegod/attacks/veiledform/metamorphosis/loop

#godform anim loops
execute if entity @s[tag=aj.machinegod.animation.break] run function ampsurv:boss/machinegod/system/poise/loop
execute if entity @s[tag=aj.machinegod.animation.sweeping_hand] run function ampsurv:boss/machinegod/attacks/godform/sweeping-hand/loop
execute if entity @s[tag=aj.machinegod.animation.godfist] run function ampsurv:boss/machinegod/attacks/godform/god-fist/loop
execute if entity @s[tag=aj.machinegod.animation.godpalm] run function ampsurv:boss/machinegod/attacks/godform/god-palm/loop
execute if entity @s[tag=aj.machinegod.animation.godpalm_far] run function ampsurv:boss/machinegod/attacks/godform/god-palm/loop
execute if entity @s[tag=aj.machinegod.animation.godpalm_near] run function ampsurv:boss/machinegod/attacks/godform/god-palm/loop
execute if entity @s[tag=aj.machinegod.animation.flamethrower] run function ampsurv:boss/machinegod/attacks/godform/flamethrower/loop
execute if entity @s[tag=aj.machinegod.animation.dark_arcane_bolts] run function ampsurv:boss/machinegod/attacks/godform/dark-arcane-bolts/loop
execute if entity @s[tag=aj.machinegod.animation.frosthrower] run function ampsurv:boss/machinegod/attacks/godform/frosthrower/loop
execute if entity @s[tag=aj.machinegod.animation.sweeping_flames] run function ampsurv:boss/machinegod/attacks/godform/sweeping-flames/loop
execute if entity @s[tag=aj.machinegod.animation.wind_sweep] run function ampsurv:boss/machinegod/attacks/godform/wind-sweep/loop
execute if entity @s[tag=aj.machinegod.animation.frostfire] run function ampsurv:boss/machinegod/attacks/godform/frostfire/loop
execute if entity @s[tag=aj.machinegod.animation.arcane_cluster] run function ampsurv:boss/machinegod/attacks/godform/arcane-cluster/loop
execute if entity @s[tag=aj.machinegod.animation.disruption_pulse] run function ampsurv:boss/machinegod/attacks/godform/disruption-pulse/loop
execute if entity @s[tag=aj.machinegod.animation.last_sky] run function ampsurv:boss/machinegod/attacks/godform/last-sky/loop
execute if entity @s[tag=aj.machinegod.animation.fragments] run function ampsurv:boss/machinegod/attacks/godform/fragments/loop
execute if entity @s[tag=aj.machinegod.animation.gravity_falls] run function ampsurv:boss/machinegod/attacks/godform/gravity-falls/loop
execute if entity @s[tag=aj.machinegod.animation.eye_of_providence] run function ampsurv:boss/machinegod/attacks/godform/eye-of-providence/loop
execute if entity @s[tag=aj.machinegod.animation.elemental_force] run function ampsurv:boss/machinegod/attacks/godform/elemental-force/loop

## ================================================== PHASE MECHANICS =====================================================
#if shield destroyed, wait for metamorph, set phase2
execute if score machinegod boss.machinegod.shield matches ..0 if score machinegod boss.machinegod.phase matches 1 run function ampsurv:boss/machinegod/system/phases/2

#if phase 2, wait lower than 80%, turn to phase 3
execute if score machinegod boss.storage.machinegod matches ..8000 if score machinegod boss.machinegod.phase matches 2 run function ampsurv:boss/machinegod/system/phases/3

#if phase 3-0, wait lower than 70%, cast gravity fall, become 3-1
execute if score machinegod boss.storage.machinegod matches ..7000 if score machinegod boss.machinegod.phase matches 3 run function ampsurv:boss/machinegod/system/phases/3-1

#if phase 3-1, wait lower than 50%, cast fragments become 3-2
execute if score machinegod boss.storage.machinegod matches ..5000 if score machinegod boss.machinegod.phase matches 31 run function ampsurv:boss/machinegod/system/phases/3-2

#if phase 3-2, wait lower than 40%, cast last sky become 3-3
execute if score machinegod boss.storage.machinegod matches ..4000 if score machinegod boss.machinegod.phase matches 32 run function ampsurv:boss/machinegod/system/phases/3-3

#if phase 3, wait until done poise break, and go to phase 4.
#handled in poise break func

## ====================================================== DEFEAT AND RETREAT =====================================================
execute if score machinegod boss.storage.machinegod matches ..1 if entity @s[tag=!dying] run function ampsurv:boss/machinegod/system/defeat-trig
# loop
execute as @e[tag=aj.machinegod.root,type=item_display,tag=dying,tag=scened] at @s run function ampsurv:boss/machinegod/system/defeat

#retreat
execute unless entity @a[tag=!dead,distance=..150] run tag @s add retreating
#loop
execute as @e[tag=aj.machinegod.root,type=item_display,tag=retreating,tag=!dying,tag=scened] run function ampsurv:boss/machinegod/system/retreat