#machinegod's defeat
scoreboard players set @s[tag=!set] iaStatus 610
tag @s add set

scoreboard players add @s[tag=set] iaStatus 1

#kill all projectile models
kill @e[tag=machinegod_base,type=armor_stand]
kill @e[tag=gravityfalls_rock]
kill @e[tag=gravityfalls_lingering_area]
kill @e[tag=wisdom_monolith_entity]
kill @e[tag=machinegod_arcane_wall]
#kill @e[tag=machinegod_pillar]
kill @e[tag=machinegod_pillar_entity]
kill @e[tag=machinegod-shield-anim,type=area_effect_cloud]
kill @e[tag=machinegod_last_sky_orb]
execute as @e[tag=aj.machinegod_fragments.root,tag=!dying] run function ampsurv:boss/machinegod/attacks/godform/fragments/destroy
execute as @e[tag=aj._machingod_pillar.root,tag=!dying] run function ampsurv:boss/machinegod/attacks/veiledform/pillars/destroy
execute as @e[tag=machinegod_fragment_shard,type=armor_stand] at @s run kill @s
execute as @e[tag=machinegod_fell_pursuit_model,type=armor_stand] at @s run kill @s

#stopsounds
stopsound @a[distance=..100] hostile boss.machinegod.sfx.last-sky
stopsound @a[distance=..100] hostile entity.elder_guardian.ambient
stopsound @a[distance=..100] hostile entity.elder_guardian.hurt

scoreboard players set machinegod boss.storage1 300
scoreboard players set machinegod boss.storage2 300

#kill all hitboxes
execute if score @s iaStatus matches 615.. run function ampsurv:boss/machinegod/system/hurtbox/clear
execute if score @s iaStatus matches 650.. run kill @e[tag=machinegod_hitbox,type=slime]

execute if score @s iaStatus matches 613 run playsound minecraft:entity.ender_dragon.death hostile @a[distance=..100] ~ ~ ~ 1 0 0
execute if score @s iaStatus matches 613 run playsound minecraft:boss.machinegod.sfx.meta hostile @a[distance=..100] ~ ~ ~ 1 2 0.0

#random explosion_emitters
execute if score @s iaStatus matches 610.. if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator,limit=1,sort=random] at @s run particle explosion_emitter ~ ~ ~ 0 0 0 0 1 force
execute if score @s iaStatus matches 610.. if score worldScore wtc_4 matches 3.. as @e[tag=machinegod_locator,limit=1,sort=random] at @s run playsound entity.generic.explode hostile @a[distance=..100] ~ ~ ~ 1 0 0.1

#end dialogue
execute if score @s iaStatus matches 613 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"No... NO!! NOOO!!","color":"light_purple"}]
execute if score @s iaStatus matches 653 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"Impossible..","color":"light_purple"}]
execute if score @s iaStatus matches 693 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"I was meant for more!","color":"light_purple"}]
execute if score @s iaStatus matches 733 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"I was meant to be the solution..","color":"light_purple"}]
execute if score @s iaStatus matches 763 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"how.. HOW?! HOW!!!","color":"light_purple"}]
execute if score @s iaStatus matches 800 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"CURSE YOU!!! VERMINS!","color":"light_purple"}]
execute if score @s iaStatus matches 850 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"NAHT'FAZUR.. THIS WORLD..","color":"light_purple"}]
execute if score @s iaStatus matches 890 run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Everlasting God of Ancient Wisdom","bold":true,"color":"red"},{"text":" > "},{"text":"NEEDETH NOT.. OTHER RULER.. THAN ME!!","color":"light_purple"}]
#-------------- 
execute if score @s iaStatus matches 670.. run scoreboard objectives remove boss.storage.machinegod
execute if score @s iaStatus matches 670.. run scoreboard objectives remove boss.machinegod.music
execute if score @s iaStatus matches 670.. run scoreboard objectives remove machinegod.damage
execute if score @s iaStatus matches 670.. run scoreboard objectives remove machinegod.damage.res
execute if score @s iaStatus matches 670.. run scoreboard objectives remove machinegod.hitbox.current.health
execute if score @s iaStatus matches 670.. run scoreboard objectives remove machinegod.players.vs
execute if score @s iaStatus matches 670.. run tag @e[tag=machinegod_target] remove machinegod_target

execute if score @s iaStatus matches 850.. run execute as @e[tag=machinegod_locator] at @s run particle witch ~ ~1 ~ 1 1.2 1 1 20 force
execute if score @s iaStatus matches 850.. run execute as @e[tag=machinegod_locator] at @s run particle large_smoke ~ ~1 ~ 2 2 2 0.1 10 force

execute if score @s iaStatus matches 900 run title @a[distance=..100] title ["",{"text":"False God Defeated","bold":false,"color":"gold"}]
execute if score @s iaStatus matches 900 run title @a[distance=..100] subtitle ["",{"text":"\u1360","color":"red"},{"text":" \u0020 \u0020 \u0020 ","strikethrough":true},{"text":"\u1360","color":"red"},{"text":" You've destroyed the false god ","color":"#CE9178"},{"text":"\u1360","color":"red"},{"text":" \u0020 \u0020 \u0020 ","strikethrough":true},{"text":"\u1360","color":"red"}]
execute if score @s iaStatus matches 895 run stopsound @a[distance=..100]
execute if score @s iaStatus matches 900 run playsound boss.defeated master @a[distance=..100] ~ ~ ~ 1 1 0.5

execute if score @s iaStatus matches 900.. run function animated_java:machinegod/remove/all
execute if score @s iaStatus matches 895.. run kill @e[tag=machinegod_locator]
