#every hitbox stores its maxHealth value. Every second, checks if its health has been reduced or not. If yes, heal, and reduce
#mordecai's true health by amt of hp lost.
#called as mordecai_hitbox


#get max health
execute as @s[tag=mordecai_hitbox,type=#mordecai_hitboxes] store result score @s mordecai.damage run attribute @s generic.max_health get

#get current health
execute as @s[tag=mordecai_hitbox,type=#mordecai_hitboxes] store result score @s mordecai.hitbox.current.health run data get entity @s Health

#reduce mordecai.damage by current health = actual damage
scoreboard players operation @s mordecai.damage -= @s mordecai.hitbox.current.health

#reduce actual damage by 50% FOR BALANCE REASONS
scoreboard players operation @s mordecai.damage /= mordecai mordecai.damage.res

#enforce damage
execute if score @s mordecai.damage matches 2.. run scoreboard players operation mordecai boss.storage.mordecai -= @s mordecai.damage
execute if score @s mordecai.damage matches 2.. run scoreboard players operation mordecai entity.poise -= @s mordecai.damage

#heal back to full
effect give @e[tag=mordecai_hitbox,type=wither_skeleton] instant_damage 1 10 true
effect give @e[tag=mordecai_hitbox,type=slime] instant_health 1 10 true

#reset scores
execute if score @s mordecai.damage matches 2.. run scoreboard players set @s mordecai.damage 0