scoreboard players set mordecai boss.battle_tick -50
scoreboard players set mordecai boss.storage1 50

#attack animations = boss storage 2
scoreboard players set mordecai boss.storage2 50

scoreboard objectives add boss.storage.mordecai dummy
scoreboard players set mordecai boss.storage.mordecai 1500
scoreboard objectives add boss.mordecai.music dummy
scoreboard players set mordecai ally.anim_tick 0
scoreboard players set mordecai combo 0

scoreboard players set mordecai agcd 1000
scoreboard players set mordecai entity.poise 1000

#summon model and hitboxes
function ampsurv:boss/mordecai/system/hurtbox/create
function ampsurv:boss/mordecai/system/soul-crystals/summon

#summon entity
summon minecraft:wither_skeleton ~ ~ ~ {Tags:["mordecai","boss","mordecai_entity","mordecai_hitbox","boss_hitbox","sdi.ignore"],CustomName:'[{"text":"Mordecai The Undending"}]',Health:1000,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:12,Duration:999999,Amplifier:1,ShowParticles:0b},{Id:14,Duration:999999,Amplifier:1,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:15f},{Name:"generic.armor_toughness",Base:5f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.max_health",Base:1000f},{Name:"generic.movement_speed",Base:0.2f}]}

#get scores
scoreboard players set @e[type=wither_skeleton,tag=mordecai_hitbox] player.base.hp 1000

##soul crystal destroyed count
scoreboard objectives add mordecai.soul.crystals.destroyed dummy
scoreboard players set mordecai mordecai.soul.crystals.destroyed 0

#hitbox damage scoreboards
scoreboard objectives add mordecai.hitbox.current.health dummy
scoreboard players set @e[tag=mordecai_hitbox,type=#mordecai_hitboxes] mordecai.hitbox.current.health 100

scoreboard objectives add mordecai.damage dummy
scoreboard players set @e[tag=mordecai_hitbox,type=#mordecai_hitboxes] mordecai.damage 100

##damage divisor
scoreboard objectives add mordecai.damage.res dummy
scoreboard players set mordecai mordecai.damage.res 1
#----------------------------------------------

#tag locators
tag @e[tag=aj.mordecai.locator] add mordecai_locator
tag @e[tag=aj.mordecai.locator.greatsword] add mordecai_locator_greatsword
tag @e[tag=aj.mordecai.locator.greatsword2] add mordecai_locator_greatsword
tag @e[tag=aj.mordecai.locator.greatsword3] add mordecai_locator_greatsword
tag @e[tag=aj.mordecai.locator.greatsword4] add mordecai_locator_greatsword
#kill @e[tag=mordecai_locator]

#tormentor locators list
#{Tags:["tormentor_locator","tormentor_chain_west_locator"]}
#{Tags:["tormentor_locator","tormentor_chain_east_locator"]}
#{Tags:["tormentor_locator","tormentor_chain_north_locator"]}
#{Tags:["tormentor_locator","tormentor_chain_south_locator"]}

bossbar set bosshp18 players @a[distance=..60]
bossbar set minecraft:bosshp18 max 1500

effect give @e[tag=mordecai_hitbox,type=#mordecai_hitboxes] resistance 4 255 true
effect give @e[tag=mordecai_entity,type=wither_skeleton] slowness 4 255 true

execute at @e[tag=mordecai_battle_center,type=marker] run stopsound @a[distance=..100]
scoreboard players set mordecai boss.mordecai.music 0

data modify entity @e[tag=mordecai_reward,type=armor_stand,limit=1,sort=nearest] Marker set value 1b

#tp @s ~ ~ ~ facing entity @e[type=#ally,tag=mordecai_target,limit=1,sort=nearest]
#execute as @e[tag=aj.mordecai.root,limit=1,sort=nearest] at @s run function ampsurv:boss/mordecai/stop-all-anims
#execute as @e[tag=aj.mordecai.root,limit=1,sort=nearest] at @s run function animated_java:mordecai/animations/fell_pursuit/play
#scoreboard players set mordecai boss.storage1 180
#scoreboard players set mordecai boss.storage2 120

execute as @e[tag=aj.mordecai.root,limit=1,sort=nearest] at @s run function ampsurv:boss/mordecai/stop-all-anims
execute as @e[tag=aj.mordecai.root,limit=1,sort=nearest] at @s run function animated_java:mordecai/animations/waiting/stop
execute as @e[tag=aj.mordecai.root,limit=1,sort=nearest] at @s run function animated_java:mordecai/animations/enter/play
scoreboard players set mordecai boss.storage1 50
scoreboard players set mordecai boss.storage2 50
tag @s add fp_wait
schedule function ampsurv:boss/mordecai/stop-scening-anims 50t

tag @s add scened

team join enemy @e[tag=mordecai_hitbox]
team modify enemy collisionRule pushOwnTeam

tag @e[type=marker,tag=aj.mordecai.root,limit=1,sort=nearest] add scened

execute as @e[type=marker,tag=aj.mordecai.root,limit=1,sort=nearest] at @s run tellraw @a[distance=..100] ["",{"text":"< "},{"text":"Mordecai","bold":true,"color":"red"},{"text":" > "},{"text":"I'll be the one, who shatters your naive delusion!","color":"light_purple"}]