#mob's ai
execute if score worldScore wtc_4 matches 3.. store result score @s dfcd run data get entity @s Health

#scoreboards
scoreboard players remove @s[scores={boss.storage1=1..}] boss.storage1 1
scoreboard players remove @s[scores={boss.storage2=1..}] boss.storage2 1

#aacd= arcane seal cooldown ( only decrease if players are near.)
execute if entity @p[distance=..30] run scoreboard players remove @s[scores={aacd=1..}] aacd 1
#itcd = life drain cd
execute if entity @p[distance=..30] run scoreboard players remove @s[scores={itcd=1..}] itcd 1
#fbcd = arcane guard cd
execute if entity @p[distance=..30] run scoreboard players remove @s[scores={fbcd=1..}] fbcd 1
#accd = hurt time
scoreboard players remove @s[scores={accd=1..}] accd 1

scoreboard players add @s[scores={ally.anim_tick=..60}] ally.anim_tick 1
scoreboard players set @s[scores={ally.anim_tick=60..}] ally.anim_tick 0

#tp model
scoreboard players operation $temp iacd = @s iacd
execute as @e[tag=aj.zealot_arcane.root,type=item_display] if score @s iacd = $temp iacd run function ampsurv:entity/enemy/zealot-of-the-arcane/modeltp
execute as @e[tag=zealot_of_the_arcane_name,type=armor_stand] if score @s iacd = $temp iacd run tp @s ~ ~2 ~ ~ ~

#slow move if no enemies nearby
execute unless entity @e[type=#ally,distance=..25] run effect give @s slowness 1 1 true
#movements
execute if entity @s[tag=!attacking] run function ampsurv:entity/enemy/zealot-of-the-arcane/movement

#attacks
function ampsurv:entity/enemy/zealot-of-the-arcane/attack

#poise break
execute if score @s entity.poise matches ..0 if entity @s[tag=!poise.break,tag=!cc_immune] run function ampsurv:entity/enemy/zealot-of-the-arcane/poise/break

#hurt
execute if entity @s[tag=hurt] if score @s agstatus > @s dfcd run function ampsurv:entity/enemy/zealot-of-the-arcane/poise/damage
execute if entity @s[tag=hurt] run function ampsurv:entity/enemy/zealot-of-the-arcane/hurt
execute if entity @s[tag=hurt_variant] if score @s accd matches ..1 run function ampsurv:entity/enemy/zealot-of-the-arcane/reset_hurt

#bloodrage mode bonuses
execute if entity @s[tag=bloodrage] run function ampsurv:entity/enemy/zealot-of-the-arcane/bloodrage-buff

#loops
execute if entity @e[tag=aj.zealot_arcane.animation.life_drain,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/life-drain/loop
execute if entity @e[tag=aj.zealot_arcane.animation.arcane_seal,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/arcane-seal/loop
execute if entity @e[tag=aj.zealot_arcane.animation.arcane_guard,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/arcane-guard/loop
execute if entity @e[tag=aj.zealot_arcane.animation.attack1,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/attack1/loop
execute if entity @e[tag=aj.zealot_arcane.animation.attack2,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/attack2/loop
execute if entity @e[tag=aj.zealot_arcane.animation.cross_strike,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/cross-strike/loop
execute if entity @e[tag=aj.zealot_arcane.animation.slam,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/slam/loop
execute if entity @e[tag=aj.zealot_arcane.animation.dashback,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/dashback/loop
execute if entity @e[tag=aj.zealot_arcane.animation.bloodrage,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/bloodrage/loop
execute if entity @e[tag=aj.zealot_arcane.animation.stagger,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/attacks/stagger/loop
execute if entity @e[tag=aj.zealot_arcane.animation.break,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/poise/loop
execute if entity @e[tag=aj.zealot_arcane.animation.spawn,limit=1,sort=nearest,type=item_display,distance=..1.3] run function ampsurv:entity/enemy/zealot-of-the-arcane/spawn-loop

#particles
particle witch ~ ~1 ~ 0.3 0.5 0.3 0 3 normal

# loop for bloodflame spirits
execute if score @s fonduration matches 1.. unless entity @e[type=area_effect_cloud,tag=zealot_bstotem,distance=..4] run summon area_effect_cloud ~ ~ ~ {Tags:["zealot_bstotem"],Duration:500}
execute at @s[scores={fonduration=1..}] run tp @e[tag=zealot_bstotem,limit=1,sort=nearest,distance=..10] ~ ~ ~