import os

def generate_function_calls(directory, output_file):
    try:
        folders = [f for f in os.listdir(directory) if os.path.isdir(os.path.join(directory, f))]
        with open(output_file, 'w') as f:
            for folder in folders:
                f.write(f"function ampsurv:relic/item/{folder}/give\n")
        print(f"Function calls written to {output_file}")
    except Exception as e:
        print(f"Error: {e}")

# Example usage
directory_path = r"C:\Users\neall\AppData\Roaming\.minecraft\saves\Northlandar Dev World\datapacks\Mageria Datapack Main\data\ampsurv\functions\relic\item"  # Change this to your target directory
output_filename = "function_calls.txt"  # Change this to your preferred output file

generate_function_calls(directory_path, output_filename)
