#set fragile, executed as enemies, from data/ampsurv/functions/system/damage/from-ability.mcfunction

scoreboard players set @s[scores={entity.afflict.fragility.factor=..19}] entity.afflict.fragility.factor 40
scoreboard players set @s[scores={entity.fragility.duration=..60}] entity.fragility.duration 60
scoreboard players add @s[scores={generic.bleed.duration=..1}] generic.bleed.buildup 25


#restore hp and mana to players that have the crown
scoreboard players operation #chaliceofcrimsonnightstmp entity.last.damaged.magical = @s entity.last.damaged.magical
scoreboard players operation #chaliceofcrimsonnightstmp entity.last.damaged.magical += @s entity.last.damaged.physical
scoreboard players operation #chaliceofcrimsonnightstmp entity.last.damaged.magical += @s entity.last.damaged.pure

#calculation for 25% of the damage (in mults of 10 -> 100 dmg = 1000 in [entity.last.damaged.magical]
scoreboard players set #40 entity.last.damaged.magical 40
scoreboard players operation #chaliceofcrimsonnightstmp entity.last.damaged.magical /= #40 entity.last.damaged.magical
# at this point, #chaliceofcrimsonnightstmp entity.last.damaged.magical = 25% of the damage dealt.
# heal mana equal to 25% of dmg dealt.
#scoreboard players operation @a[tag=crown-of-twelve-stars,distance=..20] player.mana += #chaliceofcrimsonnightstmp entity.last.damaged.magical

# to heal 1 hp, you need 100 player.regen.buffer. therefore, the conversion rate is 1:100.
# to heal 5% of dmg, then 25% of the dmg dealt, must be mult by 100/5=20.
# e.g 100 dmg => 25 mana and 5 hp = 500 regen buffer. 25 * 20 = 500.
scoreboard players set #20 entity.last.damaged.magical 20
scoreboard players operation #chaliceofcrimsonnightstmp entity.last.damaged.magical *= #20 entity.last.damaged.magical
#now this will heal the hp of players by 5% of dmg dealt.
scoreboard players operation @a[tag=crown-of-twelve-stars,distance=..20] player.regen.buffer += #chaliceofcrimsonnightstmp entity.last.damaged.magical

#particle
particle witch ~ ~0.5 ~ 0.2 1 0.2 1 10 force
particle dust_color_transition 1 0 0 1.5 0.404 0.18 0.18 ~ ~0.5 ~ 0.5 1 0.5 0 5 force

#sounds
playsound entity.elder_guardian.hurt player @a[distance=..20] ~ ~ ~ 1 0 0
playsound block.bubble_column.whirlpool_inside player @a[distance=..20] ~ ~ ~ 1 2 0

tag @s remove chalice-of-crimson-nights-aura