#set scoreboards for this.player to base amounts referred to @s, called by 'this' tag.

#check if player has been assigned an ID. if they are unassigned, then get one for them.
execute unless score @s player.id matches 0.. as @s at @s run function ampsurv:scoreboards/assign-id

team join ally @s[type=player]

execute as @s run function ampsurv:weapons/installer
execute as @s run function ampsurv:system/stat/installer
execute as @s run function ampsurv:system/climbing/installer
execute as @s run function ampsurv:system/blocking-stamina/installer
execute as @s run function ampsurv:weapons/throwing-knife/installer
##danger zone!
execute as @s run function ampsurv:system/util/amuinfo/trigger-scores

tag @s[tag=!registerred] add registerred

##amulets ------
#ring scores
scoreboard objectives add amu.ring.stack dummy
scoreboard players set @s amu.ring.stack 0

scoreboard objectives add amu.ring.cd dummy
scoreboard players set @s amu.ring.cd 0

#trinket scores
scoreboard objectives add amu.trinket.mob_kills minecraft.custom:minecraft.mob_kills
scoreboard players set @s amu.trinket.mob_kills 0

scoreboard objectives add amu.trinket.stack dummy
scoreboard players set @s amu.trinket.stack 0

scoreboard objectives add amu.trinket.cd dummy
scoreboard players set @s amu.trinket.cd 0

scoreboard objectives add amu.trinket.dmg.taken minecraft.custom:minecraft.damage_taken
scoreboard players set @s amu.trinket.dmg.taken 0

#pendant scores
scoreboard objectives add amu.pendant.cd dummy
scoreboard players set @s amu.pendant.cd 0

scoreboard objectives add amu.pendant.stack dummy
scoreboard players set @s amu.pendant.stack 0

#armlet
scoreboard objectives add amu.armlet.stack dummy
scoreboard players set @s amu.armlet.stack 0

scoreboard objectives add amu.armlet.cd dummy
scoreboard players set @s amu.armlet.cd 0

scoreboard objectives add amu.armlet.duration dummy
scoreboard players set @s amu.armlet.duration 0

scoreboard objectives add amu.armlet.dmg.dealt minecraft.custom:minecraft.damage_dealt
scoreboard players set @s amu.armlet.dmg.dealt 0

scoreboard objectives add amu.new.message.cd dummy
scoreboard players set @s amu.new.message.cd 0
scoreboard objectives add weap.new.message.cd dummy
scoreboard players set @s weap.new.message.cd 0
scoreboard objectives add armor.new.message.cd dummy
scoreboard players set @s armor.new.message.cd 0
##---------------
##---------------

##armor ------
scoreboard objectives add vagabond.sprint minecraft.custom:minecraft.sprint_one_cm
scoreboard players set @s vagabond.sprint 0

scoreboard objectives add tsukitsune.hp.treshold dummy
scoreboard players set @s tsukitsune.hp.treshold 0

scoreboard objectives add viridian.abjurer.armor.set.stack dummy
scoreboard players set @s viridian.abjurer.armor.set.stack 0

scoreboard objectives add armor.set.stack dummy
scoreboard players set @s armor.set.stack 0

scoreboard objectives add armor.set.cd dummy
scoreboard players set @s armor.set.cd 0

scoreboard objectives add armor.set.score1 dummy
scoreboard players set @s armor.set.score1 0

scoreboard objectives add cerulean.brilliance.score minecraft.custom:minecraft.damage_resisted
scoreboard players set @s cerulean.brilliance.score 0

##---------------------------------------------------------------------------------------------------
scoreboard objectives add amu.gr.trigger minecraft.custom:minecraft.damage_taken
scoreboard players set @s amu.gr.trigger 0

scoreboard objectives add amu.armlet.dmg.taken minecraft.custom:minecraft.damage_taken
scoreboard players set @s amu.armlet.dmg.taken 0

scoreboard objectives add amu.lb.shield.cd dummy
scoreboard players set @s amu.lb.shield.cd 0

scoreboard objectives add tsukitsune.buff dummy
scoreboard players set @s tsukitsune.buff 0

scoreboard objectives add moonsoul.buff dummy
scoreboard players set @s moonsoul.buff 0

scoreboard objectives add combo dummy
scoreboard players set @s combo 0

scoreboard objectives add sys.tmp.randomizer dummy
scoreboard players set @s sys.tmp.randomizer 0

scoreboard objectives add player.interact.villager minecraft.custom:minecraft.talked_to_villager
scoreboard players set @s player.interact.villager 0

scoreboard objectives add npc.conversation.mood.timer dummy
scoreboard players set @s npc.conversation.mood.timer 0
scoreboard objectives add npc.conversation.number dummy
scoreboard players set @s npc.conversation.number 0
scoreboard objectives add npc.conversation.tree dummy
scoreboard players set @s npc.conversation.tree 0
scoreboard objectives add npc.conversation.leaf dummy
scoreboard players set @s npc.conversation.leaf 0
scoreboard objectives add npc.conversation.complete dummy
scoreboard players set @s npc.conversation.complete 0

#processing fragility
scoreboard objectives add entity.afflict.fragility.factor dummy
scoreboard players set @s entity.afflict.fragility.factor 0

scoreboard objectives add entity.afflict.fragility.duration dummy
scoreboard players set @s entity.afflict.fragility.duration 0

#actual frag
scoreboard objectives add entity.fragility.factor dummy
scoreboard players set @s entity.fragility.factor 0

scoreboard objectives add entity.fragility.duration dummy
scoreboard players set @s entity.fragility.duration 0
#====================

scoreboard objectives add entity.damaged.physical dummy
scoreboard players set @s entity.damaged.physical 0

scoreboard objectives add entity.damaged.magical dummy
scoreboard players set @s entity.damaged.magical 0

scoreboard objectives add entity.damaged.pure dummy
scoreboard players set @s entity.damaged.pure 0

scoreboard objectives add entity.last.damaged.pure dummy
scoreboard players set @s entity.last.damaged.pure 0

scoreboard objectives add entity.last.damaged.physical dummy
scoreboard players set @s entity.last.damaged.physical 0

scoreboard objectives add entity.last.damaged.magical dummy
scoreboard players set @s entity.last.damaged.magical 0

scoreboard objectives add player.damaged.physical dummy
scoreboard players set @s player.damaged.physical 0

scoreboard objectives add player.damaged.magical dummy
scoreboard players set @s player.damaged.magical 0

scoreboard objectives add player.damaged.pure dummy
scoreboard players set @s player.damaged.pure 0

scoreboard objectives add amu.mlr.trigger dummy
scoreboard players set @s amu.mlr.trigger 0

scoreboard objectives add orbuculum.cd dummy
scoreboard players set @s orbuculum.cd 0

scoreboard objectives add mekhanisma.cd dummy
scoreboard players set @s mekhanisma.cd 0

scoreboard objectives add wccd dummy
scoreboard players set @s wccd 0

#poa - pressure of the abysswalker
scoreboard objectives add poacd dummy
scoreboard players set @s poacd 0

scoreboard objectives add poaphase dummy
scoreboard players set @s poaphase 0

scoreboard objectives add poaduration dummy
scoreboard players set @s poaduration 0

scoreboard objectives add poa.sinker.trigger minecraft.custom:minecraft.damage_dealt
scoreboard players set @s poa.sinker.trigger 0
#-----

scoreboard objectives add mccd dummy
scoreboard players set @s mccd 0

scoreboard objectives add bdcd dummy
scoreboard players set @s bdcd 0

scoreboard objectives add bscd dummy
scoreboard players set @s bscd 0
scoreboard objectives add bscharge dummy
scoreboard players set @s bscharge 0

scoreboard objectives add lbcd dummy
scoreboard players set @s lbcd 0

scoreboard objectives add ercd dummy
scoreboard players set @s ercd 0

scoreboard objectives add kgcd dummy
scoreboard players set @s kgcd 0

scoreboard objectives add tmcd dummy
scoreboard players set @s tmcd 0

scoreboard objectives add kg.buff dummy
scoreboard players set @s kg.buff 0

scoreboard objectives add kg.reduce.hp.stack dummy
scoreboard players set @s kg.reduce.hp.stack 0

scoreboard objectives add kg.inner.cd dummy
scoreboard players set @s kg.inner.cd 0

scoreboard objectives add gc.cd dummy
scoreboard players set @s gc.cd 0

scoreboard objectives add dash.cd dummy
scoreboard players set @s dash.cd 0

scoreboard objectives add sip.cd dummy
scoreboard players set @s sip.cd 0

scoreboard objectives add sip.or dummy
scoreboard players set @s sip.or 0

scoreboard objectives add ysg.cd dummy
scoreboard players set @s ysg.cd 0

scoreboard objectives add vk.cd dummy
scoreboard players set @s vk.cd 0

scoreboard objectives add sys.lifedrain.tmp dummy
scoreboard players set @s sys.lifedrain.tmp 0

scoreboard objectives add entity.iframe dummy
scoreboard players set @s entity.iframe 0

scoreboard objectives add mana.before dummy
scoreboard players set @s mana.before 0
scoreboard objectives add mana.gain dummy
scoreboard players set @s mana.gain 0
scoreboard objectives add mana.lost dummy
scoreboard players set @s mana.lost 0
scoreboard objectives add mana.change.timer dummy
scoreboard players set @s mana.change.timer 0

scoreboard objectives add midnight.magika.trigger dummy
scoreboard players set @s midnight.magika.trigger 0

scoreboard objectives add mov.duration dummy
scoreboard players set @s mov.duration 0
scoreboard objectives add mov.trigger minecraft.custom:minecraft.damage_taken
scoreboard players set @s mov.trigger 0

scoreboard objectives add inquisitor.stack dummy
scoreboard players set @s inquisitor.stack 0
scoreboard objectives add inquisitor.stack.duration dummy
scoreboard players set @s inquisitor.stack.duration 0

scoreboard objectives add aspcd dummy
scoreboard players set @s aspcd 0

scoreboard objectives add aspStatus dummy
scoreboard players set @s aspStatus 0

scoreboard objectives add aspStop dummy

scoreboard objectives add pmcd dummy
scoreboard players set @s pmcd 0

scoreboard objectives add pmStatus dummy
scoreboard players set @s pmStatus 0

scoreboard objectives add pmDamage dummy
scoreboard players set @s pmDamage 0

scoreboard objectives add pmStop dummy

scoreboard objectives add unenchantable_cd dummy
scoreboard players set @s unenchantable_cd 0

scoreboard objectives add aspect_of_rebirth_cd dummy
scoreboard players set @s aspect_of_rebirth_cd 0

scoreboard objectives add vanish_cd dummy
scoreboard players set @s vanish_cd 0

scoreboard objectives add ally.anim_tick dummy
scoreboard players set @s ally.anim_tick 0
scoreboard objectives add boss.battle_tick dummy
scoreboard players set @s boss.battle_tick 0
scoreboard objectives add brbcd dummy
scoreboard players set @s brbcd 0
scoreboard objectives add brbStatus dummy
scoreboard players set @s brbStatus 0
scoreboard objectives add brbDurability dummy
scoreboard players set @s brbDurability 0

scoreboard objectives add accd dummy
scoreboard players set @s accd 0
scoreboard objectives add smCharge dummy
scoreboard players set @s smCharge 0
scoreboard objectives add am.diamond minecraft.used:minecraft.diamond_axe
scoreboard objectives add am.iron minecraft.used:minecraft.iron_axe
scoreboard objectives add am.nether minecraft.used:minecraft.netherite_axe
scoreboard objectives add am.golden minecraft.used:minecraft.golden_axe
scoreboard objectives add amCharge dummy
scoreboard players set @s amCharge 0

scoreboard objectives add rwscd dummy
scoreboard players set @s rwscd 0
scoreboard objectives add rwsCharge dummy
scoreboard players set @s rwsCharge 0
scoreboard objectives add bmCharge minecraft.used:minecraft.bow
scoreboard players set @s bmCharge 0
scoreboard objectives add damage_dealt minecraft.custom:minecraft.damage_dealt
scoreboard players set @s damage_dealt 0
scoreboard objectives add zombieraid dummy
scoreboard players set @s zombieraid 0
scoreboard objectives add vrtime dummy
scoreboard players set @s vrtime 0
scoreboard objectives add escd dummy
scoreboard players set @s escd 0

scoreboard objectives add sm.strike.iron minecraft.used:minecraft.iron_sword
scoreboard objectives add sm.strike.nether minecraft.used:minecraft.netherite_sword
scoreboard objectives add tscd dummy
scoreboard players set @s tscd 0
scoreboard objectives add secd dummy
scoreboard players set @s secd 0
scoreboard objectives add teleportcd dummy
scoreboard players set @s teleportcd 0
scoreboard objectives add vrcd dummy
scoreboard players set @s vrcd 0
scoreboard objectives add esduration dummy
scoreboard players set @s esduration 0
scoreboard objectives add sm.diamond minecraft.used:minecraft.diamond_sword
scoreboard objectives add sm.strike.golden minecraft.used:minecraft.golden_sword

scoreboard objectives add corcd dummy
scoreboard players set @s corcd 0
scoreboard objectives add seduration dummy
scoreboard players set @s seduration 0
scoreboard objectives add multiversalmine dummy
scoreboard players set @s multiversalmine 0
scoreboard objectives add ittime dummy
scoreboard players set @s ittime 0
scoreboard objectives add ultseduration dummy
scoreboard players set @s ultseduration 0
scoreboard objectives add soaduration dummy
scoreboard players set @s soaduration 0

scoreboard objectives add damage_resisted minecraft.custom:minecraft.damage_resisted
scoreboard players set @s damage_resisted 0
scoreboard objectives add cbtimer dummy
scoreboard players set @s cbtimer 0
bossbar add bosshp {"text":"Boss HP"}
bossbar set minecraft:bosshp players @s
scoreboard objectives add itcd dummy
scoreboard players set @s itcd 0
scoreboard objectives add euduration dummy
scoreboard players set @s euduration 0
scoreboard objectives add soaphase dummy
scoreboard players set @s soaphase 0
scoreboard objectives add moattack_detect minecraft.custom:minecraft.damage_dealt
scoreboard players set @s moattack_detect 0

scoreboard objectives add mpDuration dummy
scoreboard players set @s mpDuration 0
scoreboard objectives add eotscd dummy
scoreboard players set @s eotscd 0
scoreboard objectives add cicd dummy
scoreboard players set @s cicd 0
scoreboard objectives add ciTime dummy
scoreboard players set @s ciTime 0

scoreboard objectives add seteduration dummy
scoreboard players set @s seteduration 0
scoreboard objectives add cbcd dummy
scoreboard players set @s cbcd 0
scoreboard objectives add mmcd dummy
scoreboard players set @s mmcd 0
scoreboard objectives add brcd dummy
scoreboard players set @s brcd 0
scoreboard objectives add eutrigger minecraft.custom:minecraft.damage_dealt_resisted
scoreboard players set @s eutrigger 0
scoreboard objectives add soacd dummy
scoreboard players set @s soacd 0
scoreboard objectives add moattack dummy
scoreboard players set @s moattack 0
scoreboard objectives add mpcd dummy
scoreboard players set @s mpcd 0
scoreboard objectives add rbcd dummy
scoreboard players set @s rbcd 0
scoreboard objectives add rbTime dummy
scoreboard players set @s rbTime 0
scoreboard objectives add rbCharge minecraft.custom:minecraft.damage_dealt
scoreboard players set @s rbCharge 0
scoreboard objectives add faStatus dummy
scoreboard players set @s faStatus 0
scoreboard objectives add facd dummy
scoreboard players set @s facd 0

scoreboard objectives add setecd dummy
scoreboard players set @s setecd 0
scoreboard objectives add rsduration dummy
scoreboard players set @s rsduration 0
scoreboard objectives add agcd dummy
scoreboard players set @s agcd 0
scoreboard objectives add damage_taken minecraft.custom:minecraft.damage_taken
scoreboard players set @s damage_taken 0
scoreboard objectives add eucd dummy
scoreboard players set @s eucd 0
scoreboard objectives add vfcd dummy
scoreboard players set @s vfcd 0
scoreboard objectives add mocd dummy
scoreboard players set @s mocd 0
scoreboard objectives add msTime dummy
scoreboard players set @s msTime 0
scoreboard objectives add ascd dummy
scoreboard players set @s ascd 0
scoreboard objectives add iwcd dummy
scoreboard players set @s iwcd 0
scoreboard objectives add inc_trigger minecraft.custom:minecraft.damage_taken
scoreboard players set @s inc_trigger 0

scoreboard objectives add dodcd dummy
scoreboard players set @s dodcd 0
scoreboard objectives add rscd dummy
scoreboard players set @s rscd 0
scoreboard objectives add agstatus dummy
scoreboard players set @s agstatus 0
scoreboard objectives add fbcd dummy
scoreboard players set @s fbcd 0
scoreboard objectives add wowcd dummy
scoreboard players set @s wowcd 0
scoreboard objectives add eonchannel dummy
scoreboard players set @s eonchannel 0
scoreboard objectives add fscd dummy
scoreboard players set @s fscd 0
scoreboard objectives add mscd dummy
scoreboard players set @s mscd 0
scoreboard objectives add dfcd dummy
scoreboard players set @s dfcd 0
scoreboard objectives add iw_trigger minecraft.custom:minecraft.damage_dealt
scoreboard players set @s iw_trigger 0
scoreboard objectives add incorrupt_cd dummy
scoreboard players set @s incorrupt_cd 0
scoreboard objectives add faShootArrow minecraft.used:minecraft.bow
scoreboard players set @s faShootArrow 0

scoreboard objectives add crouch minecraft.custom:minecraft.sneak_time
scoreboard players set @s crouch 0
scoreboard objectives add aacd dummy
scoreboard players set @s aacd 0
scoreboard objectives add foncd dummy
scoreboard players set @s foncd 0
scoreboard objectives add fonduration dummy
scoreboard players set @s fonduration 0
scoreboard objectives add alcd dummy
scoreboard players set @s alcd 0
scoreboard objectives add eoncd dummy
scoreboard players set @s eoncd 0
scoreboard objectives add stcd dummy
scoreboard players set @s stcd 0
scoreboard objectives add iacd dummy
scoreboard players set @s iacd 0
scoreboard objectives add iaShootArrow minecraft.used:minecraft.bow
scoreboard players set @s iaShootArrow 0
scoreboard objectives add iaStatus dummy
scoreboard players set @s iaStatus 0
scoreboard objectives add inc_time dummy
scoreboard players set @s inc_time 0

scoreboard objectives add sscd dummy
scoreboard players set @s sscd 0
scoreboard objectives add shimmerstep dummy
scoreboard players set @s shimmerstep 0
scoreboard objectives add Health health
scoreboard objectives add aetherRefresh dummy
scoreboard players set @s aetherRefresh 0
scoreboard objectives add arcd dummy
scoreboard players set @s arcd 0
scoreboard objectives add arStatus dummy
scoreboard players set @s arStatus 0
scoreboard objectives add dscd dummy
scoreboard players set @s dscd 0
scoreboard objectives add arShootArrow minecraft.used:minecraft.bow
scoreboard players set @s arShootArrow 0
scoreboard objectives add dsArrowShoot minecraft.used:minecraft.bow
scoreboard players set @s dsArrowShoot 0
scoreboard objectives add dsStatus dummy
scoreboard players set @s dsStatus 0
scoreboard objectives add attilacd dummy
scoreboard players set @s attilacd 0
scoreboard objectives add valiantcd dummy
scoreboard players set @s valiantcd 0
scoreboard objectives add nnmcd dummy
scoreboard players set @s nnmcd 0

scoreboard objectives add ggcd dummy
scoreboard players set @s ggcd 0
scoreboard objectives add lscd dummy
scoreboard players set @s lscd 0
scoreboard objectives add prcd dummy
scoreboard players set @s prcd 0
scoreboard objectives add stscd dummy
scoreboard players set @s stscd 0
scoreboard objectives add zfcd dummy
scoreboard players set @s zfcd 0
scoreboard objectives add rncd dummy
scoreboard players set @s rncd 0
scoreboard objectives add ddcd dummy
scoreboard players set @s ddcd 0
scoreboard objectives add ypos dummy
scoreboard players reset @e ypos
scoreboard objectives add halfling.cd dummy
scoreboard players set @s halfling.cd 0
scoreboard objectives add boss.storage1 dummy
scoreboard players set @s boss.storage1 0
scoreboard objectives add boss.storage2 dummy
scoreboard players set @s boss.storage2 0
scoreboard objectives add skill.cd.display dummy
scoreboard players set @s skill.cd.display 0
scoreboard objectives add skill.cd.divisor dummy
scoreboard players set @s skill.cd.divisor 20
scoreboard objectives add khcd dummy
scoreboard players set @s khcd 0
scoreboard objectives add quest.mobkill minecraft.custom:minecraft.mob_kills
scoreboard objectives add questcd dummy
scoreboard players set @s questcd 0
scoreboard objectives add request_learn minecraft.custom:minecraft.interact_with_smithing_table
scoreboard players set @s request_learn 0
scoreboard objectives add request_skillchk minecraft.used:minecraft.written_book
scoreboard players set @s request_skillchk 0
scoreboard objectives add quest.dmgdealt minecraft.custom:minecraft.damage_dealt
scoreboard objectives add request_delearn minecraft.custom:minecraft.interact_with_smithing_table
scoreboard players set @s request_delearn 0
scoreboard objectives add quest.dontdie minecraft.custom:minecraft.time_since_death
scoreboard objectives add quest.minecoal minecraft.broken:minecraft.coal_ore
scoreboard objectives add quest.winraid minecraft.custom:minecraft.raid_win
scoreboard objectives add skillcheck trigger
scoreboard objectives add codex1 trigger
scoreboard objectives add codex2 trigger
scoreboard objectives add pylon_destination trigger

scoreboard objectives add mr_music dummy
scoreboard players set @s mr_music 1

#magic Staves
scoreboard objectives add magic_staff_cd dummy
scoreboard players set @s magic_staff_cd 0

#fire lantern
scoreboard objectives add fire_moth_lantern_charge dummy
scoreboard players set @s fire_moth_lantern_charge 0
scoreboard objectives add fire_moth_lantern_charge_timer dummy
scoreboard players set @s fire_moth_lantern_charge_timer 0
#Emerald Pouches
scoreboard objectives add emerald_in_hand dummy
scoreboard players set @s emerald_in_hand 0

scoreboard objectives add emerald_in_pouch dummy
scoreboard players set @s emerald_in_pouch 0

scoreboard objectives add use_carrot_stick minecraft.used:minecraft.carrot_on_a_stick
scoreboard players set @s use_carrot_stick 0

tellraw @s ["",{"text":"\u226b Registering player: ","color":"yellow"},{"selector":"@s","color":"yellow"},{"text":" ","bold":false,"color":"yellow"}]
tag @s[tag=!registerred] add registerred
tellraw @s[tag=registerred] ["",{"text":"\u226b ","bold":true,"color":"green"},{"selector":"@s","color":"green"},{"text":"'s Player Scoreboards ","color":"green"},{"text":"-> Success.","bold":true,"color":"green"}]