execute as @a[tag=ia, scores={crouch=1.. , iacd=1..}, predicate=ampsurv:holding_bow] at @s run scoreboard players set @s crouch 0

scoreboard players remove @a[tag=ia, scores={iacd=1..}] iacd 1

execute as @a[tag=ia,predicate=ampsurv:holding_bow,tag=!silence] run function ampsurv:skill/aas/ia/title
execute as @a[tag=ia,predicate=ampsurv:holding_bow,tag=silence] run function ampsurv:effects/silence/display

scoreboard players set @a[tag=ia , predicate=ampsurv:holding_bow,scores={crouch=1.., iacd=..1,player.mana=15..}] iaStatus 1
scoreboard players set @a[tag=ia, predicate=ampsurv:holding_bow,scores={crouch=1.., iacd=..1,player.mana=15..}] iaShootArrow 0
execute as @a[tag=ia,scores={crouch=1..,iacd=..1,ally.anim_tick=0..10},predicate=ampsurv:holding_bow] at @s anchored eyes run tellraw @a[distance=..10] ["",{"text":"<","color":"white"},{"selector":"@s","bold":true,"color":"light_purple"},{"text":"> With the molten rock.","color":"white"}]
execute as @a[tag=ia,scores={crouch=1..,iacd=..1,ally.anim_tick=11..20},predicate=ampsurv:holding_bow] at @s anchored eyes run tellraw @a[distance=..10] ["",{"text":"<","color":"white"},{"selector":"@s","bold":true,"color":"light_purple"},{"text":"> primed, and ready to fly.","color":"white"}]
execute as @a[tag=ia,scores={crouch=1..,iacd=..1,ally.anim_tick=21..30},predicate=ampsurv:holding_bow] at @s anchored eyes run tellraw @a[distance=..10] ["",{"text":"<","color":"white"},{"selector":"@s","bold":true,"color":"light_purple"},{"text":"> the explosive arrow is ready.","color":"white"}]
execute at @a[tag=ia,scores={crouch=1..,iacd=..1,player.mana=10..},predicate=ampsurv:holding_bow] run kill @e[distance=..2,type=minecraft:arrow,nbt={pickup:2b}]
execute at @a[tag=ia,scores={crouch=1..,iacd=..1,player.mana=10..},predicate=ampsurv:holding_bow] run kill @e[distance=..2,type=minecraft:arrow,nbt={pickup:2b}]
scoreboard players set @a[tag=ia, scores={crouch=1..,iacd=..1},predicate=ampsurv:holding_bow] iacd 200
scoreboard players remove @a[tag=ia, scores={crouch=1..,iacd=..1},predicate=ampsurv:holding_bow] player.mana 15

title @a[tag=ia ,scores={iaStatus=1} , predicate=ampsurv:holding_bow] actionbar {"text":"Ignis Arrow Active - Shoot an Arrow Now!","color":"yellow","bold":true}
execute at @a[tag=ia, scores={iaStatus=1}] run particle minecraft:flame ~ ~1 ~ 0.4 1 0.4 0.05 4 normal
execute at @e[tag=iaShot] run particle minecraft:flame ~ ~ ~ 0.1 0.1 0.1 0.05 4 normal
execute at @e[tag=iaShot] run particle minecraft:large_smoke ~ ~ ~ 0.1 0.1 0.1 0.01 1 normal
execute as @e[tag=up_iaShot] run execute if entity @s[nbt={inGround:1b}] run tag @s add ignis_explosion_2
execute as @e[tag=up_iaShot] run execute if entity @s[tag=ignis_explosion_2] run tag @s add execute
execute as @e[tag=iaShot,tag=!up_iaShot] run execute if entity @s[nbt={inGround:1b}] run kill @s 

execute as @e[type=#enemy, tag=eternal_flame] at @s if entity @e[tag=iaShot ,distance=..2] run tag @s add ignis_explosion
execute as @e[type=#enemy, tag=eternal_flame] at @s if entity @e[tag=up_iaShot ,distance=..2] run tag @s add ignis_explosion_2
execute at @e[tag=iaShot] run tag @e[type=#enemy,distance=..2] add eternal_flame
execute at @e[tag=up_iaShot] run tag @e[type=#enemy,distance=..2] add eternal_flame_2

execute at @e[tag=eternal_flame] anchored feet run particle minecraft:flame ^ ^0.2 ^ 0 0 0 0.02 1 normal
execute at @e[tag=eternal_flame_2] anchored feet run particle minecraft:flame ^ ^0.2 ^ 0 0 0 0.02 1 normal
execute at @e[tag=eternal_flame_2] anchored feet run particle minecraft:smoke ^ ^0.2 ^ 0 0 0 0.02 5 normal
execute as @e[tag=eternal_flame] at @s run effect clear @s regeneration

execute as @e[tag=ignis_explosion] at @s run function ampsurv:skill/aas/ia/ignis_explosion
execute as @e[tag=ignis_explosion_2] at @s run function ampsurv:skill/aas/ia/ignis_explosion_2

execute as @e[tag=execute,type=arrow] run kill @s

execute at @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] run tag @e[type= minecraft:arrow ,limit=1,sort=nearest] add iaShot
execute at @a[tag=up_ia,scores={iaShootArrow=1..,iaStatus=1}] run tag @e[type= minecraft:arrow ,limit=1,sort=nearest,tag=iaShot] add up_iaShot
execute at @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] run data modify entity @e[tag=iaShot,limit=1,sort=nearest] PierceLevel set value 10
execute at @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] run data modify entity @e[tag=iaShot,limit=1,sort=nearest] NoGravity set value 0
execute at @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] run effect give @s strength 1 3 true
execute at @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] run particle minecraft:flame ^-0.4 ^1.4 ^1 0 0 0 0.1 100 normal
execute at @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] run playsound minecraft:entity.ghast.shoot player @a[distance=..15] ~ ~ ~ 1 0 1
scoreboard players set @a[tag=ia,scores={iaShootArrow=1..,iaStatus=1}] iaStatus 0

execute as @a[tag=up_ia] at @s unless entity @e[tag=up_ia_cd,type=area_effect_cloud] run tag @e[tag=eternal_flame_2] add ignis_explosion_2
execute as @a[tag=up_ia] at @s unless entity @e[tag=up_ia_cd,type=area_effect_cloud] run summon area_effect_cloud ~ ~ ~ {Duration:80,Tags:["up_ia_cd"]}