#Generic mob stuff

function ampsurv:system/stat/res/1.loop

execute if score worldScore wtc_20 matches 19.. as @e[type=#enemy,type=drowned,tag=renegade] run effect give @s minecraft:slow_falling 2 0 true

execute as @e[type=#enemy,tag=armor_reduce_10] at @s if entity @p[distance=..60] run particle scrape ~ ~1 ~ 0.2 0.5 0.2 0.1 1 normal

# Hurt time detector on combatants only (not triggered on common animals)
execute as @e[type=!#common_animals] at @s if entity @p[distance=..60] if entity @s[predicate=ampsurv:hurt,tag=!hurt,tag=!invulnerable] run function ampsurv:system/hurttime/hurt
execute as @e[type=!#objects,type=!#common_animals,tag=hurt,tag=!invulnerable] run function ampsurv:system/hurttime/hurt_countdown
execute as @e[type=!#objects,type=!#common_animals,tag=iframe,tag=!invulnerable] run function ampsurv:system/hurttime/iframe_cd

execute if score worldScore wtc_20 matches 19.. as @e[type=!#objects,type=!player,type=!#common_animals,tag=!spawn-bonus] at @s run function ampsurv:system/entity/spawn-bonus

#damage on enemy detector
execute as @e[type=#enemy,scores={entity.afflict.fragility.duration=0..}] at @s run function ampsurv:system/damage/amplifier/loop
execute as @e[type=#enemy] at @s run function ampsurv:system/damage/1.loop
#execute as @e[type=#enemy,scores={entity.damaged.pure=1..},limit=1] run function ampsurv:system/damage/convert/pure/calc

#damage detector on players
execute as @a at @s run function ampsurv:system/damage_player/1.loop

#tag spectator players
tag @a[tag=!untargettable,gamemode=spectator] add untargettable
tag @a[tag=untargettable,gamemode=!spectator] remove untargettable
