## LOAD STAT INTO SCOREBOARDS

scoreboard players set @s player.total.at 0
scoreboard players set @s player.total.armor 0

## MC STATS, take current stats for stat paper
execute store result score @s player.base.atk run attribute @s generic.attack_damage get
execute store result score @s player.base.armor run attribute @s generic.armor get
execute store result score @s player.base.aspd run attribute @s generic.attack_speed get 10
execute store result score @s player.base.hp run attribute @s generic.max_health get
execute store result score @s player.base.at run attribute @s generic.armor_toughness get
execute store result score @s player.base.ms run attribute @s generic.movement_speed get 200
execute store result score @s player.base.kr run attribute @s generic.knockback_resistance get 100
execute store result score @s player.base.luck run attribute @s generic.luck get 10

scoreboard players operation @s player.total.armor = @s player.base.armor
scoreboard players operation @s player.total.at = @s player.base.at

##COMPARATOR BEFORE 
# ADD RECORDING OF STATS BEFORE CALCS OR CURRENT STATS
scoreboard players operation @s player.base.atk.before = @s player.base.atk
scoreboard players operation @s player.base.armor.before = @s player.base.armor
scoreboard players operation @s player.base.hp.before = @s player.base.hp
scoreboard players operation @s player.base.at.before = @s player.base.at
scoreboard players operation @s player.base.ms.before = @s player.base.ms
scoreboard players operation @s player.base.kr.before = @s player.base.kr
scoreboard players operation @s player.base.luck.before = @s player.base.luck

#calc modifiers
function ampsurv:system/stat/calculate_stats/calc-modifiers
function ampsurv:system/blocking-stamina/getres
#function ampsurv:system/stat/calculate_stats/calculate-prospective-stats

##add modifiers of Mana and HP regen
scoreboard players operation @s player.regen += @s player.regen.modifier
scoreboard players operation @s player.max.mana += @s player.max.mana.modifier
scoreboard players operation @s player.mana.regen += @s player.mana.regen.modifier
scoreboard players set @s[scores={player.mana.regen=..0}] player.mana.regen 0

##decimals for stat papers
#aspd
scoreboard players operation @s player.base.aspd.decimal = @s player.base.aspd
scoreboard players operation @s player.base.aspd.decimal %= @s player.stats.factor
scoreboard players operation @s player.base.aspd /= @s player.stats.factor
#ak
scoreboard players operation @s player.base.ak.decimal = @s player.base.ak
scoreboard players operation @s player.base.ak.decimal %= @s player.stats.factor
scoreboard players operation @s player.base.ak /= @s player.stats.factor
#ms
scoreboard players operation @s player.base.ms.decimal = @s player.base.ms
scoreboard players operation @s player.base.ms.decimal %= @s player.stats.factor
scoreboard players operation @s player.base.ms /= @s player.stats.factor
#kr
scoreboard players operation @s player.base.kr.decimal = @s player.base.kr
scoreboard players operation @s player.base.kr.decimal %= @s player.stats.factor
scoreboard players operation @s player.base.kr /= @s player.stats.factor

#calc total at and armor
# if 
# ==== /// ====
execute if score @s player.total.armor matches 30.. run scoreboard players operation @s player.total.armor += @s player.base.armor.modifier
execute if score @s player.total.at matches 20.. run scoreboard players operation @s player.total.at += @s player.base.at.modifier
#defense = armor + at
scoreboard players operation @s player.defense += @s player.total.armor
scoreboard players operation @s player.defense += @s player.total.at

##custom stats
# player.regen    10 points =0.1 hp/s   factor 100
# player.max.mana
# player.mana.regen 1 pt = 1 mana/s

#enforce mc modifiers, base stat enforcings
function ampsurv:system/stat/calculate_stats/enforce-modifiers